module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = "./src/index.tsx");
/******/ })
/************************************************************************/
/******/ ({

/***/ "./node_modules/axios/index.js":
/*!*************************************!*\
  !*** ./node_modules/axios/index.js ***!
  \*************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__(/*! ./lib/axios */ "./node_modules/axios/lib/axios.js");

/***/ }),

/***/ "./node_modules/axios/lib/adapters/xhr.js":
/*!************************************************!*\
  !*** ./node_modules/axios/lib/adapters/xhr.js ***!
  \************************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var utils = __webpack_require__(/*! ./../utils */ "./node_modules/axios/lib/utils.js");
var settle = __webpack_require__(/*! ./../core/settle */ "./node_modules/axios/lib/core/settle.js");
var buildURL = __webpack_require__(/*! ./../helpers/buildURL */ "./node_modules/axios/lib/helpers/buildURL.js");
var parseHeaders = __webpack_require__(/*! ./../helpers/parseHeaders */ "./node_modules/axios/lib/helpers/parseHeaders.js");
var isURLSameOrigin = __webpack_require__(/*! ./../helpers/isURLSameOrigin */ "./node_modules/axios/lib/helpers/isURLSameOrigin.js");
var createError = __webpack_require__(/*! ../core/createError */ "./node_modules/axios/lib/core/createError.js");
var btoa = (typeof window !== 'undefined' && window.btoa && window.btoa.bind(window)) || __webpack_require__(/*! ./../helpers/btoa */ "./node_modules/axios/lib/helpers/btoa.js");

module.exports = function xhrAdapter(config) {
  return new Promise(function dispatchXhrRequest(resolve, reject) {
    var requestData = config.data;
    var requestHeaders = config.headers;

    if (utils.isFormData(requestData)) {
      delete requestHeaders['Content-Type']; // Let the browser set it
    }

    var request = new XMLHttpRequest();
    var loadEvent = 'onreadystatechange';
    var xDomain = false;

    // For IE 8/9 CORS support
    // Only supports POST and GET calls and doesn't returns the response headers.
    // DON'T do this for testing b/c XMLHttpRequest is mocked, not XDomainRequest.
    if ( true &&
        typeof window !== 'undefined' &&
        window.XDomainRequest && !('withCredentials' in request) &&
        !isURLSameOrigin(config.url)) {
      request = new window.XDomainRequest();
      loadEvent = 'onload';
      xDomain = true;
      request.onprogress = function handleProgress() {};
      request.ontimeout = function handleTimeout() {};
    }

    // HTTP basic authentication
    if (config.auth) {
      var username = config.auth.username || '';
      var password = config.auth.password || '';
      requestHeaders.Authorization = 'Basic ' + btoa(username + ':' + password);
    }

    request.open(config.method.toUpperCase(), buildURL(config.url, config.params, config.paramsSerializer), true);

    // Set the request timeout in MS
    request.timeout = config.timeout;

    // Listen for ready state
    request[loadEvent] = function handleLoad() {
      if (!request || (request.readyState !== 4 && !xDomain)) {
        return;
      }

      // The request errored out and we didn't get a response, this will be
      // handled by onerror instead
      // With one exception: request that using file: protocol, most browsers
      // will return status as 0 even though it's a successful request
      if (request.status === 0 && !(request.responseURL && request.responseURL.indexOf('file:') === 0)) {
        return;
      }

      // Prepare the response
      var responseHeaders = 'getAllResponseHeaders' in request ? parseHeaders(request.getAllResponseHeaders()) : null;
      var responseData = !config.responseType || config.responseType === 'text' ? request.responseText : request.response;
      var response = {
        data: responseData,
        // IE sends 1223 instead of 204 (https://github.com/axios/axios/issues/201)
        status: request.status === 1223 ? 204 : request.status,
        statusText: request.status === 1223 ? 'No Content' : request.statusText,
        headers: responseHeaders,
        config: config,
        request: request
      };

      settle(resolve, reject, response);

      // Clean up request
      request = null;
    };

    // Handle low level network errors
    request.onerror = function handleError() {
      // Real errors are hidden from us by the browser
      // onerror should only fire if it's a network error
      reject(createError('Network Error', config, null, request));

      // Clean up request
      request = null;
    };

    // Handle timeout
    request.ontimeout = function handleTimeout() {
      reject(createError('timeout of ' + config.timeout + 'ms exceeded', config, 'ECONNABORTED',
        request));

      // Clean up request
      request = null;
    };

    // Add xsrf header
    // This is only done if running in a standard browser environment.
    // Specifically not if we're in a web worker, or react-native.
    if (utils.isStandardBrowserEnv()) {
      var cookies = __webpack_require__(/*! ./../helpers/cookies */ "./node_modules/axios/lib/helpers/cookies.js");

      // Add xsrf header
      var xsrfValue = (config.withCredentials || isURLSameOrigin(config.url)) && config.xsrfCookieName ?
          cookies.read(config.xsrfCookieName) :
          undefined;

      if (xsrfValue) {
        requestHeaders[config.xsrfHeaderName] = xsrfValue;
      }
    }

    // Add headers to the request
    if ('setRequestHeader' in request) {
      utils.forEach(requestHeaders, function setRequestHeader(val, key) {
        if (typeof requestData === 'undefined' && key.toLowerCase() === 'content-type') {
          // Remove Content-Type if data is undefined
          delete requestHeaders[key];
        } else {
          // Otherwise add header to the request
          request.setRequestHeader(key, val);
        }
      });
    }

    // Add withCredentials to request if needed
    if (config.withCredentials) {
      request.withCredentials = true;
    }

    // Add responseType to request if needed
    if (config.responseType) {
      try {
        request.responseType = config.responseType;
      } catch (e) {
        // Expected DOMException thrown by browsers not compatible XMLHttpRequest Level 2.
        // But, this can be suppressed for 'json' type as it can be parsed by default 'transformResponse' function.
        if (config.responseType !== 'json') {
          throw e;
        }
      }
    }

    // Handle progress if needed
    if (typeof config.onDownloadProgress === 'function') {
      request.addEventListener('progress', config.onDownloadProgress);
    }

    // Not all browsers support upload events
    if (typeof config.onUploadProgress === 'function' && request.upload) {
      request.upload.addEventListener('progress', config.onUploadProgress);
    }

    if (config.cancelToken) {
      // Handle cancellation
      config.cancelToken.promise.then(function onCanceled(cancel) {
        if (!request) {
          return;
        }

        request.abort();
        reject(cancel);
        // Clean up request
        request = null;
      });
    }

    if (requestData === undefined) {
      requestData = null;
    }

    // Send the request
    request.send(requestData);
  });
};


/***/ }),

/***/ "./node_modules/axios/lib/axios.js":
/*!*****************************************!*\
  !*** ./node_modules/axios/lib/axios.js ***!
  \*****************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var utils = __webpack_require__(/*! ./utils */ "./node_modules/axios/lib/utils.js");
var bind = __webpack_require__(/*! ./helpers/bind */ "./node_modules/axios/lib/helpers/bind.js");
var Axios = __webpack_require__(/*! ./core/Axios */ "./node_modules/axios/lib/core/Axios.js");
var defaults = __webpack_require__(/*! ./defaults */ "./node_modules/axios/lib/defaults.js");

/**
 * Create an instance of Axios
 *
 * @param {Object} defaultConfig The default config for the instance
 * @return {Axios} A new instance of Axios
 */
function createInstance(defaultConfig) {
  var context = new Axios(defaultConfig);
  var instance = bind(Axios.prototype.request, context);

  // Copy axios.prototype to instance
  utils.extend(instance, Axios.prototype, context);

  // Copy context to instance
  utils.extend(instance, context);

  return instance;
}

// Create the default instance to be exported
var axios = createInstance(defaults);

// Expose Axios class to allow class inheritance
axios.Axios = Axios;

// Factory for creating new instances
axios.create = function create(instanceConfig) {
  return createInstance(utils.merge(defaults, instanceConfig));
};

// Expose Cancel & CancelToken
axios.Cancel = __webpack_require__(/*! ./cancel/Cancel */ "./node_modules/axios/lib/cancel/Cancel.js");
axios.CancelToken = __webpack_require__(/*! ./cancel/CancelToken */ "./node_modules/axios/lib/cancel/CancelToken.js");
axios.isCancel = __webpack_require__(/*! ./cancel/isCancel */ "./node_modules/axios/lib/cancel/isCancel.js");

// Expose all/spread
axios.all = function all(promises) {
  return Promise.all(promises);
};
axios.spread = __webpack_require__(/*! ./helpers/spread */ "./node_modules/axios/lib/helpers/spread.js");

module.exports = axios;

// Allow use of default import syntax in TypeScript
module.exports.default = axios;


/***/ }),

/***/ "./node_modules/axios/lib/cancel/Cancel.js":
/*!*************************************************!*\
  !*** ./node_modules/axios/lib/cancel/Cancel.js ***!
  \*************************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/**
 * A `Cancel` is an object that is thrown when an operation is canceled.
 *
 * @class
 * @param {string=} message The message.
 */
function Cancel(message) {
  this.message = message;
}

Cancel.prototype.toString = function toString() {
  return 'Cancel' + (this.message ? ': ' + this.message : '');
};

Cancel.prototype.__CANCEL__ = true;

module.exports = Cancel;


/***/ }),

/***/ "./node_modules/axios/lib/cancel/CancelToken.js":
/*!******************************************************!*\
  !*** ./node_modules/axios/lib/cancel/CancelToken.js ***!
  \******************************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var Cancel = __webpack_require__(/*! ./Cancel */ "./node_modules/axios/lib/cancel/Cancel.js");

/**
 * A `CancelToken` is an object that can be used to request cancellation of an operation.
 *
 * @class
 * @param {Function} executor The executor function.
 */
function CancelToken(executor) {
  if (typeof executor !== 'function') {
    throw new TypeError('executor must be a function.');
  }

  var resolvePromise;
  this.promise = new Promise(function promiseExecutor(resolve) {
    resolvePromise = resolve;
  });

  var token = this;
  executor(function cancel(message) {
    if (token.reason) {
      // Cancellation has already been requested
      return;
    }

    token.reason = new Cancel(message);
    resolvePromise(token.reason);
  });
}

/**
 * Throws a `Cancel` if cancellation has been requested.
 */
CancelToken.prototype.throwIfRequested = function throwIfRequested() {
  if (this.reason) {
    throw this.reason;
  }
};

/**
 * Returns an object that contains a new `CancelToken` and a function that, when called,
 * cancels the `CancelToken`.
 */
CancelToken.source = function source() {
  var cancel;
  var token = new CancelToken(function executor(c) {
    cancel = c;
  });
  return {
    token: token,
    cancel: cancel
  };
};

module.exports = CancelToken;


/***/ }),

/***/ "./node_modules/axios/lib/cancel/isCancel.js":
/*!***************************************************!*\
  !*** ./node_modules/axios/lib/cancel/isCancel.js ***!
  \***************************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


module.exports = function isCancel(value) {
  return !!(value && value.__CANCEL__);
};


/***/ }),

/***/ "./node_modules/axios/lib/core/Axios.js":
/*!**********************************************!*\
  !*** ./node_modules/axios/lib/core/Axios.js ***!
  \**********************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var defaults = __webpack_require__(/*! ./../defaults */ "./node_modules/axios/lib/defaults.js");
var utils = __webpack_require__(/*! ./../utils */ "./node_modules/axios/lib/utils.js");
var InterceptorManager = __webpack_require__(/*! ./InterceptorManager */ "./node_modules/axios/lib/core/InterceptorManager.js");
var dispatchRequest = __webpack_require__(/*! ./dispatchRequest */ "./node_modules/axios/lib/core/dispatchRequest.js");

/**
 * Create a new instance of Axios
 *
 * @param {Object} instanceConfig The default config for the instance
 */
function Axios(instanceConfig) {
  this.defaults = instanceConfig;
  this.interceptors = {
    request: new InterceptorManager(),
    response: new InterceptorManager()
  };
}

/**
 * Dispatch a request
 *
 * @param {Object} config The config specific for this request (merged with this.defaults)
 */
Axios.prototype.request = function request(config) {
  /*eslint no-param-reassign:0*/
  // Allow for axios('example/url'[, config]) a la fetch API
  if (typeof config === 'string') {
    config = utils.merge({
      url: arguments[0]
    }, arguments[1]);
  }

  config = utils.merge(defaults, {method: 'get'}, this.defaults, config);
  config.method = config.method.toLowerCase();

  // Hook up interceptors middleware
  var chain = [dispatchRequest, undefined];
  var promise = Promise.resolve(config);

  this.interceptors.request.forEach(function unshiftRequestInterceptors(interceptor) {
    chain.unshift(interceptor.fulfilled, interceptor.rejected);
  });

  this.interceptors.response.forEach(function pushResponseInterceptors(interceptor) {
    chain.push(interceptor.fulfilled, interceptor.rejected);
  });

  while (chain.length) {
    promise = promise.then(chain.shift(), chain.shift());
  }

  return promise;
};

// Provide aliases for supported request methods
utils.forEach(['delete', 'get', 'head', 'options'], function forEachMethodNoData(method) {
  /*eslint func-names:0*/
  Axios.prototype[method] = function(url, config) {
    return this.request(utils.merge(config || {}, {
      method: method,
      url: url
    }));
  };
});

utils.forEach(['post', 'put', 'patch'], function forEachMethodWithData(method) {
  /*eslint func-names:0*/
  Axios.prototype[method] = function(url, data, config) {
    return this.request(utils.merge(config || {}, {
      method: method,
      url: url,
      data: data
    }));
  };
});

module.exports = Axios;


/***/ }),

/***/ "./node_modules/axios/lib/core/InterceptorManager.js":
/*!***********************************************************!*\
  !*** ./node_modules/axios/lib/core/InterceptorManager.js ***!
  \***********************************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var utils = __webpack_require__(/*! ./../utils */ "./node_modules/axios/lib/utils.js");

function InterceptorManager() {
  this.handlers = [];
}

/**
 * Add a new interceptor to the stack
 *
 * @param {Function} fulfilled The function to handle `then` for a `Promise`
 * @param {Function} rejected The function to handle `reject` for a `Promise`
 *
 * @return {Number} An ID used to remove interceptor later
 */
InterceptorManager.prototype.use = function use(fulfilled, rejected) {
  this.handlers.push({
    fulfilled: fulfilled,
    rejected: rejected
  });
  return this.handlers.length - 1;
};

/**
 * Remove an interceptor from the stack
 *
 * @param {Number} id The ID that was returned by `use`
 */
InterceptorManager.prototype.eject = function eject(id) {
  if (this.handlers[id]) {
    this.handlers[id] = null;
  }
};

/**
 * Iterate over all the registered interceptors
 *
 * This method is particularly useful for skipping over any
 * interceptors that may have become `null` calling `eject`.
 *
 * @param {Function} fn The function to call for each interceptor
 */
InterceptorManager.prototype.forEach = function forEach(fn) {
  utils.forEach(this.handlers, function forEachHandler(h) {
    if (h !== null) {
      fn(h);
    }
  });
};

module.exports = InterceptorManager;


/***/ }),

/***/ "./node_modules/axios/lib/core/createError.js":
/*!****************************************************!*\
  !*** ./node_modules/axios/lib/core/createError.js ***!
  \****************************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var enhanceError = __webpack_require__(/*! ./enhanceError */ "./node_modules/axios/lib/core/enhanceError.js");

/**
 * Create an Error with the specified message, config, error code, request and response.
 *
 * @param {string} message The error message.
 * @param {Object} config The config.
 * @param {string} [code] The error code (for example, 'ECONNABORTED').
 * @param {Object} [request] The request.
 * @param {Object} [response] The response.
 * @returns {Error} The created error.
 */
module.exports = function createError(message, config, code, request, response) {
  var error = new Error(message);
  return enhanceError(error, config, code, request, response);
};


/***/ }),

/***/ "./node_modules/axios/lib/core/dispatchRequest.js":
/*!********************************************************!*\
  !*** ./node_modules/axios/lib/core/dispatchRequest.js ***!
  \********************************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var utils = __webpack_require__(/*! ./../utils */ "./node_modules/axios/lib/utils.js");
var transformData = __webpack_require__(/*! ./transformData */ "./node_modules/axios/lib/core/transformData.js");
var isCancel = __webpack_require__(/*! ../cancel/isCancel */ "./node_modules/axios/lib/cancel/isCancel.js");
var defaults = __webpack_require__(/*! ../defaults */ "./node_modules/axios/lib/defaults.js");
var isAbsoluteURL = __webpack_require__(/*! ./../helpers/isAbsoluteURL */ "./node_modules/axios/lib/helpers/isAbsoluteURL.js");
var combineURLs = __webpack_require__(/*! ./../helpers/combineURLs */ "./node_modules/axios/lib/helpers/combineURLs.js");

/**
 * Throws a `Cancel` if cancellation has been requested.
 */
function throwIfCancellationRequested(config) {
  if (config.cancelToken) {
    config.cancelToken.throwIfRequested();
  }
}

/**
 * Dispatch a request to the server using the configured adapter.
 *
 * @param {object} config The config that is to be used for the request
 * @returns {Promise} The Promise to be fulfilled
 */
module.exports = function dispatchRequest(config) {
  throwIfCancellationRequested(config);

  // Support baseURL config
  if (config.baseURL && !isAbsoluteURL(config.url)) {
    config.url = combineURLs(config.baseURL, config.url);
  }

  // Ensure headers exist
  config.headers = config.headers || {};

  // Transform request data
  config.data = transformData(
    config.data,
    config.headers,
    config.transformRequest
  );

  // Flatten headers
  config.headers = utils.merge(
    config.headers.common || {},
    config.headers[config.method] || {},
    config.headers || {}
  );

  utils.forEach(
    ['delete', 'get', 'head', 'post', 'put', 'patch', 'common'],
    function cleanHeaderConfig(method) {
      delete config.headers[method];
    }
  );

  var adapter = config.adapter || defaults.adapter;

  return adapter(config).then(function onAdapterResolution(response) {
    throwIfCancellationRequested(config);

    // Transform response data
    response.data = transformData(
      response.data,
      response.headers,
      config.transformResponse
    );

    return response;
  }, function onAdapterRejection(reason) {
    if (!isCancel(reason)) {
      throwIfCancellationRequested(config);

      // Transform response data
      if (reason && reason.response) {
        reason.response.data = transformData(
          reason.response.data,
          reason.response.headers,
          config.transformResponse
        );
      }
    }

    return Promise.reject(reason);
  });
};


/***/ }),

/***/ "./node_modules/axios/lib/core/enhanceError.js":
/*!*****************************************************!*\
  !*** ./node_modules/axios/lib/core/enhanceError.js ***!
  \*****************************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/**
 * Update an Error with the specified config, error code, and response.
 *
 * @param {Error} error The error to update.
 * @param {Object} config The config.
 * @param {string} [code] The error code (for example, 'ECONNABORTED').
 * @param {Object} [request] The request.
 * @param {Object} [response] The response.
 * @returns {Error} The error.
 */
module.exports = function enhanceError(error, config, code, request, response) {
  error.config = config;
  if (code) {
    error.code = code;
  }
  error.request = request;
  error.response = response;
  return error;
};


/***/ }),

/***/ "./node_modules/axios/lib/core/settle.js":
/*!***********************************************!*\
  !*** ./node_modules/axios/lib/core/settle.js ***!
  \***********************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var createError = __webpack_require__(/*! ./createError */ "./node_modules/axios/lib/core/createError.js");

/**
 * Resolve or reject a Promise based on response status.
 *
 * @param {Function} resolve A function that resolves the promise.
 * @param {Function} reject A function that rejects the promise.
 * @param {object} response The response.
 */
module.exports = function settle(resolve, reject, response) {
  var validateStatus = response.config.validateStatus;
  // Note: status is not exposed by XDomainRequest
  if (!response.status || !validateStatus || validateStatus(response.status)) {
    resolve(response);
  } else {
    reject(createError(
      'Request failed with status code ' + response.status,
      response.config,
      null,
      response.request,
      response
    ));
  }
};


/***/ }),

/***/ "./node_modules/axios/lib/core/transformData.js":
/*!******************************************************!*\
  !*** ./node_modules/axios/lib/core/transformData.js ***!
  \******************************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var utils = __webpack_require__(/*! ./../utils */ "./node_modules/axios/lib/utils.js");

/**
 * Transform the data for a request or a response
 *
 * @param {Object|String} data The data to be transformed
 * @param {Array} headers The headers for the request or response
 * @param {Array|Function} fns A single function or Array of functions
 * @returns {*} The resulting transformed data
 */
module.exports = function transformData(data, headers, fns) {
  /*eslint no-param-reassign:0*/
  utils.forEach(fns, function transform(fn) {
    data = fn(data, headers);
  });

  return data;
};


/***/ }),

/***/ "./node_modules/axios/lib/defaults.js":
/*!********************************************!*\
  !*** ./node_modules/axios/lib/defaults.js ***!
  \********************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";
/* WEBPACK VAR INJECTION */(function(process) {

var utils = __webpack_require__(/*! ./utils */ "./node_modules/axios/lib/utils.js");
var normalizeHeaderName = __webpack_require__(/*! ./helpers/normalizeHeaderName */ "./node_modules/axios/lib/helpers/normalizeHeaderName.js");

var DEFAULT_CONTENT_TYPE = {
  'Content-Type': 'application/x-www-form-urlencoded'
};

function setContentTypeIfUnset(headers, value) {
  if (!utils.isUndefined(headers) && utils.isUndefined(headers['Content-Type'])) {
    headers['Content-Type'] = value;
  }
}

function getDefaultAdapter() {
  var adapter;
  if (typeof XMLHttpRequest !== 'undefined') {
    // For browsers use XHR adapter
    adapter = __webpack_require__(/*! ./adapters/xhr */ "./node_modules/axios/lib/adapters/xhr.js");
  } else if (typeof process !== 'undefined') {
    // For node use HTTP adapter
    adapter = __webpack_require__(/*! ./adapters/http */ "./node_modules/axios/lib/adapters/xhr.js");
  }
  return adapter;
}

var defaults = {
  adapter: getDefaultAdapter(),

  transformRequest: [function transformRequest(data, headers) {
    normalizeHeaderName(headers, 'Content-Type');
    if (utils.isFormData(data) ||
      utils.isArrayBuffer(data) ||
      utils.isBuffer(data) ||
      utils.isStream(data) ||
      utils.isFile(data) ||
      utils.isBlob(data)
    ) {
      return data;
    }
    if (utils.isArrayBufferView(data)) {
      return data.buffer;
    }
    if (utils.isURLSearchParams(data)) {
      setContentTypeIfUnset(headers, 'application/x-www-form-urlencoded;charset=utf-8');
      return data.toString();
    }
    if (utils.isObject(data)) {
      setContentTypeIfUnset(headers, 'application/json;charset=utf-8');
      return JSON.stringify(data);
    }
    return data;
  }],

  transformResponse: [function transformResponse(data) {
    /*eslint no-param-reassign:0*/
    if (typeof data === 'string') {
      try {
        data = JSON.parse(data);
      } catch (e) { /* Ignore */ }
    }
    return data;
  }],

  /**
   * A timeout in milliseconds to abort a request. If set to 0 (default) a
   * timeout is not created.
   */
  timeout: 0,

  xsrfCookieName: 'XSRF-TOKEN',
  xsrfHeaderName: 'X-XSRF-TOKEN',

  maxContentLength: -1,

  validateStatus: function validateStatus(status) {
    return status >= 200 && status < 300;
  }
};

defaults.headers = {
  common: {
    'Accept': 'application/json, text/plain, */*'
  }
};

utils.forEach(['delete', 'get', 'head'], function forEachMethodNoData(method) {
  defaults.headers[method] = {};
});

utils.forEach(['post', 'put', 'patch'], function forEachMethodWithData(method) {
  defaults.headers[method] = utils.merge(DEFAULT_CONTENT_TYPE);
});

module.exports = defaults;

/* WEBPACK VAR INJECTION */}.call(this, __webpack_require__(/*! ./../../process/browser.js */ "./node_modules/process/browser.js")))

/***/ }),

/***/ "./node_modules/axios/lib/helpers/bind.js":
/*!************************************************!*\
  !*** ./node_modules/axios/lib/helpers/bind.js ***!
  \************************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


module.exports = function bind(fn, thisArg) {
  return function wrap() {
    var args = new Array(arguments.length);
    for (var i = 0; i < args.length; i++) {
      args[i] = arguments[i];
    }
    return fn.apply(thisArg, args);
  };
};


/***/ }),

/***/ "./node_modules/axios/lib/helpers/btoa.js":
/*!************************************************!*\
  !*** ./node_modules/axios/lib/helpers/btoa.js ***!
  \************************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


// btoa polyfill for IE<10 courtesy https://github.com/davidchambers/Base64.js

var chars = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=';

function E() {
  this.message = 'String contains an invalid character';
}
E.prototype = new Error;
E.prototype.code = 5;
E.prototype.name = 'InvalidCharacterError';

function btoa(input) {
  var str = String(input);
  var output = '';
  for (
    // initialize result and counter
    var block, charCode, idx = 0, map = chars;
    // if the next str index does not exist:
    //   change the mapping table to "="
    //   check if d has no fractional digits
    str.charAt(idx | 0) || (map = '=', idx % 1);
    // "8 - idx % 1 * 8" generates the sequence 2, 4, 6, 8
    output += map.charAt(63 & block >> 8 - idx % 1 * 8)
  ) {
    charCode = str.charCodeAt(idx += 3 / 4);
    if (charCode > 0xFF) {
      throw new E();
    }
    block = block << 8 | charCode;
  }
  return output;
}

module.exports = btoa;


/***/ }),

/***/ "./node_modules/axios/lib/helpers/buildURL.js":
/*!****************************************************!*\
  !*** ./node_modules/axios/lib/helpers/buildURL.js ***!
  \****************************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var utils = __webpack_require__(/*! ./../utils */ "./node_modules/axios/lib/utils.js");

function encode(val) {
  return encodeURIComponent(val).
    replace(/%40/gi, '@').
    replace(/%3A/gi, ':').
    replace(/%24/g, '$').
    replace(/%2C/gi, ',').
    replace(/%20/g, '+').
    replace(/%5B/gi, '[').
    replace(/%5D/gi, ']');
}

/**
 * Build a URL by appending params to the end
 *
 * @param {string} url The base of the url (e.g., http://www.google.com)
 * @param {object} [params] The params to be appended
 * @returns {string} The formatted url
 */
module.exports = function buildURL(url, params, paramsSerializer) {
  /*eslint no-param-reassign:0*/
  if (!params) {
    return url;
  }

  var serializedParams;
  if (paramsSerializer) {
    serializedParams = paramsSerializer(params);
  } else if (utils.isURLSearchParams(params)) {
    serializedParams = params.toString();
  } else {
    var parts = [];

    utils.forEach(params, function serialize(val, key) {
      if (val === null || typeof val === 'undefined') {
        return;
      }

      if (utils.isArray(val)) {
        key = key + '[]';
      } else {
        val = [val];
      }

      utils.forEach(val, function parseValue(v) {
        if (utils.isDate(v)) {
          v = v.toISOString();
        } else if (utils.isObject(v)) {
          v = JSON.stringify(v);
        }
        parts.push(encode(key) + '=' + encode(v));
      });
    });

    serializedParams = parts.join('&');
  }

  if (serializedParams) {
    url += (url.indexOf('?') === -1 ? '?' : '&') + serializedParams;
  }

  return url;
};


/***/ }),

/***/ "./node_modules/axios/lib/helpers/combineURLs.js":
/*!*******************************************************!*\
  !*** ./node_modules/axios/lib/helpers/combineURLs.js ***!
  \*******************************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/**
 * Creates a new URL by combining the specified URLs
 *
 * @param {string} baseURL The base URL
 * @param {string} relativeURL The relative URL
 * @returns {string} The combined URL
 */
module.exports = function combineURLs(baseURL, relativeURL) {
  return relativeURL
    ? baseURL.replace(/\/+$/, '') + '/' + relativeURL.replace(/^\/+/, '')
    : baseURL;
};


/***/ }),

/***/ "./node_modules/axios/lib/helpers/cookies.js":
/*!***************************************************!*\
  !*** ./node_modules/axios/lib/helpers/cookies.js ***!
  \***************************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var utils = __webpack_require__(/*! ./../utils */ "./node_modules/axios/lib/utils.js");

module.exports = (
  utils.isStandardBrowserEnv() ?

  // Standard browser envs support document.cookie
  (function standardBrowserEnv() {
    return {
      write: function write(name, value, expires, path, domain, secure) {
        var cookie = [];
        cookie.push(name + '=' + encodeURIComponent(value));

        if (utils.isNumber(expires)) {
          cookie.push('expires=' + new Date(expires).toGMTString());
        }

        if (utils.isString(path)) {
          cookie.push('path=' + path);
        }

        if (utils.isString(domain)) {
          cookie.push('domain=' + domain);
        }

        if (secure === true) {
          cookie.push('secure');
        }

        document.cookie = cookie.join('; ');
      },

      read: function read(name) {
        var match = document.cookie.match(new RegExp('(^|;\\s*)(' + name + ')=([^;]*)'));
        return (match ? decodeURIComponent(match[3]) : null);
      },

      remove: function remove(name) {
        this.write(name, '', Date.now() - 86400000);
      }
    };
  })() :

  // Non standard browser env (web workers, react-native) lack needed support.
  (function nonStandardBrowserEnv() {
    return {
      write: function write() {},
      read: function read() { return null; },
      remove: function remove() {}
    };
  })()
);


/***/ }),

/***/ "./node_modules/axios/lib/helpers/isAbsoluteURL.js":
/*!*********************************************************!*\
  !*** ./node_modules/axios/lib/helpers/isAbsoluteURL.js ***!
  \*********************************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/**
 * Determines whether the specified URL is absolute
 *
 * @param {string} url The URL to test
 * @returns {boolean} True if the specified URL is absolute, otherwise false
 */
module.exports = function isAbsoluteURL(url) {
  // A URL is considered absolute if it begins with "<scheme>://" or "//" (protocol-relative URL).
  // RFC 3986 defines scheme name as a sequence of characters beginning with a letter and followed
  // by any combination of letters, digits, plus, period, or hyphen.
  return /^([a-z][a-z\d\+\-\.]*:)?\/\//i.test(url);
};


/***/ }),

/***/ "./node_modules/axios/lib/helpers/isURLSameOrigin.js":
/*!***********************************************************!*\
  !*** ./node_modules/axios/lib/helpers/isURLSameOrigin.js ***!
  \***********************************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var utils = __webpack_require__(/*! ./../utils */ "./node_modules/axios/lib/utils.js");

module.exports = (
  utils.isStandardBrowserEnv() ?

  // Standard browser envs have full support of the APIs needed to test
  // whether the request URL is of the same origin as current location.
  (function standardBrowserEnv() {
    var msie = /(msie|trident)/i.test(navigator.userAgent);
    var urlParsingNode = document.createElement('a');
    var originURL;

    /**
    * Parse a URL to discover it's components
    *
    * @param {String} url The URL to be parsed
    * @returns {Object}
    */
    function resolveURL(url) {
      var href = url;

      if (msie) {
        // IE needs attribute set twice to normalize properties
        urlParsingNode.setAttribute('href', href);
        href = urlParsingNode.href;
      }

      urlParsingNode.setAttribute('href', href);

      // urlParsingNode provides the UrlUtils interface - http://url.spec.whatwg.org/#urlutils
      return {
        href: urlParsingNode.href,
        protocol: urlParsingNode.protocol ? urlParsingNode.protocol.replace(/:$/, '') : '',
        host: urlParsingNode.host,
        search: urlParsingNode.search ? urlParsingNode.search.replace(/^\?/, '') : '',
        hash: urlParsingNode.hash ? urlParsingNode.hash.replace(/^#/, '') : '',
        hostname: urlParsingNode.hostname,
        port: urlParsingNode.port,
        pathname: (urlParsingNode.pathname.charAt(0) === '/') ?
                  urlParsingNode.pathname :
                  '/' + urlParsingNode.pathname
      };
    }

    originURL = resolveURL(window.location.href);

    /**
    * Determine if a URL shares the same origin as the current location
    *
    * @param {String} requestURL The URL to test
    * @returns {boolean} True if URL shares the same origin, otherwise false
    */
    return function isURLSameOrigin(requestURL) {
      var parsed = (utils.isString(requestURL)) ? resolveURL(requestURL) : requestURL;
      return (parsed.protocol === originURL.protocol &&
            parsed.host === originURL.host);
    };
  })() :

  // Non standard browser envs (web workers, react-native) lack needed support.
  (function nonStandardBrowserEnv() {
    return function isURLSameOrigin() {
      return true;
    };
  })()
);


/***/ }),

/***/ "./node_modules/axios/lib/helpers/normalizeHeaderName.js":
/*!***************************************************************!*\
  !*** ./node_modules/axios/lib/helpers/normalizeHeaderName.js ***!
  \***************************************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var utils = __webpack_require__(/*! ../utils */ "./node_modules/axios/lib/utils.js");

module.exports = function normalizeHeaderName(headers, normalizedName) {
  utils.forEach(headers, function processHeader(value, name) {
    if (name !== normalizedName && name.toUpperCase() === normalizedName.toUpperCase()) {
      headers[normalizedName] = value;
      delete headers[name];
    }
  });
};


/***/ }),

/***/ "./node_modules/axios/lib/helpers/parseHeaders.js":
/*!********************************************************!*\
  !*** ./node_modules/axios/lib/helpers/parseHeaders.js ***!
  \********************************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var utils = __webpack_require__(/*! ./../utils */ "./node_modules/axios/lib/utils.js");

// Headers whose duplicates are ignored by node
// c.f. https://nodejs.org/api/http.html#http_message_headers
var ignoreDuplicateOf = [
  'age', 'authorization', 'content-length', 'content-type', 'etag',
  'expires', 'from', 'host', 'if-modified-since', 'if-unmodified-since',
  'last-modified', 'location', 'max-forwards', 'proxy-authorization',
  'referer', 'retry-after', 'user-agent'
];

/**
 * Parse headers into an object
 *
 * ```
 * Date: Wed, 27 Aug 2014 08:58:49 GMT
 * Content-Type: application/json
 * Connection: keep-alive
 * Transfer-Encoding: chunked
 * ```
 *
 * @param {String} headers Headers needing to be parsed
 * @returns {Object} Headers parsed into an object
 */
module.exports = function parseHeaders(headers) {
  var parsed = {};
  var key;
  var val;
  var i;

  if (!headers) { return parsed; }

  utils.forEach(headers.split('\n'), function parser(line) {
    i = line.indexOf(':');
    key = utils.trim(line.substr(0, i)).toLowerCase();
    val = utils.trim(line.substr(i + 1));

    if (key) {
      if (parsed[key] && ignoreDuplicateOf.indexOf(key) >= 0) {
        return;
      }
      if (key === 'set-cookie') {
        parsed[key] = (parsed[key] ? parsed[key] : []).concat([val]);
      } else {
        parsed[key] = parsed[key] ? parsed[key] + ', ' + val : val;
      }
    }
  });

  return parsed;
};


/***/ }),

/***/ "./node_modules/axios/lib/helpers/spread.js":
/*!**************************************************!*\
  !*** ./node_modules/axios/lib/helpers/spread.js ***!
  \**************************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


/**
 * Syntactic sugar for invoking a function and expanding an array for arguments.
 *
 * Common use case would be to use `Function.prototype.apply`.
 *
 *  ```js
 *  function f(x, y, z) {}
 *  var args = [1, 2, 3];
 *  f.apply(null, args);
 *  ```
 *
 * With `spread` this example can be re-written.
 *
 *  ```js
 *  spread(function(x, y, z) {})([1, 2, 3]);
 *  ```
 *
 * @param {Function} callback
 * @returns {Function}
 */
module.exports = function spread(callback) {
  return function wrap(arr) {
    return callback.apply(null, arr);
  };
};


/***/ }),

/***/ "./node_modules/axios/lib/utils.js":
/*!*****************************************!*\
  !*** ./node_modules/axios/lib/utils.js ***!
  \*****************************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var bind = __webpack_require__(/*! ./helpers/bind */ "./node_modules/axios/lib/helpers/bind.js");
var isBuffer = __webpack_require__(/*! is-buffer */ "./node_modules/is-buffer/index.js");

/*global toString:true*/

// utils is a library of generic helper functions non-specific to axios

var toString = Object.prototype.toString;

/**
 * Determine if a value is an Array
 *
 * @param {Object} val The value to test
 * @returns {boolean} True if value is an Array, otherwise false
 */
function isArray(val) {
  return toString.call(val) === '[object Array]';
}

/**
 * Determine if a value is an ArrayBuffer
 *
 * @param {Object} val The value to test
 * @returns {boolean} True if value is an ArrayBuffer, otherwise false
 */
function isArrayBuffer(val) {
  return toString.call(val) === '[object ArrayBuffer]';
}

/**
 * Determine if a value is a FormData
 *
 * @param {Object} val The value to test
 * @returns {boolean} True if value is an FormData, otherwise false
 */
function isFormData(val) {
  return (typeof FormData !== 'undefined') && (val instanceof FormData);
}

/**
 * Determine if a value is a view on an ArrayBuffer
 *
 * @param {Object} val The value to test
 * @returns {boolean} True if value is a view on an ArrayBuffer, otherwise false
 */
function isArrayBufferView(val) {
  var result;
  if ((typeof ArrayBuffer !== 'undefined') && (ArrayBuffer.isView)) {
    result = ArrayBuffer.isView(val);
  } else {
    result = (val) && (val.buffer) && (val.buffer instanceof ArrayBuffer);
  }
  return result;
}

/**
 * Determine if a value is a String
 *
 * @param {Object} val The value to test
 * @returns {boolean} True if value is a String, otherwise false
 */
function isString(val) {
  return typeof val === 'string';
}

/**
 * Determine if a value is a Number
 *
 * @param {Object} val The value to test
 * @returns {boolean} True if value is a Number, otherwise false
 */
function isNumber(val) {
  return typeof val === 'number';
}

/**
 * Determine if a value is undefined
 *
 * @param {Object} val The value to test
 * @returns {boolean} True if the value is undefined, otherwise false
 */
function isUndefined(val) {
  return typeof val === 'undefined';
}

/**
 * Determine if a value is an Object
 *
 * @param {Object} val The value to test
 * @returns {boolean} True if value is an Object, otherwise false
 */
function isObject(val) {
  return val !== null && typeof val === 'object';
}

/**
 * Determine if a value is a Date
 *
 * @param {Object} val The value to test
 * @returns {boolean} True if value is a Date, otherwise false
 */
function isDate(val) {
  return toString.call(val) === '[object Date]';
}

/**
 * Determine if a value is a File
 *
 * @param {Object} val The value to test
 * @returns {boolean} True if value is a File, otherwise false
 */
function isFile(val) {
  return toString.call(val) === '[object File]';
}

/**
 * Determine if a value is a Blob
 *
 * @param {Object} val The value to test
 * @returns {boolean} True if value is a Blob, otherwise false
 */
function isBlob(val) {
  return toString.call(val) === '[object Blob]';
}

/**
 * Determine if a value is a Function
 *
 * @param {Object} val The value to test
 * @returns {boolean} True if value is a Function, otherwise false
 */
function isFunction(val) {
  return toString.call(val) === '[object Function]';
}

/**
 * Determine if a value is a Stream
 *
 * @param {Object} val The value to test
 * @returns {boolean} True if value is a Stream, otherwise false
 */
function isStream(val) {
  return isObject(val) && isFunction(val.pipe);
}

/**
 * Determine if a value is a URLSearchParams object
 *
 * @param {Object} val The value to test
 * @returns {boolean} True if value is a URLSearchParams object, otherwise false
 */
function isURLSearchParams(val) {
  return typeof URLSearchParams !== 'undefined' && val instanceof URLSearchParams;
}

/**
 * Trim excess whitespace off the beginning and end of a string
 *
 * @param {String} str The String to trim
 * @returns {String} The String freed of excess whitespace
 */
function trim(str) {
  return str.replace(/^\s*/, '').replace(/\s*$/, '');
}

/**
 * Determine if we're running in a standard browser environment
 *
 * This allows axios to run in a web worker, and react-native.
 * Both environments support XMLHttpRequest, but not fully standard globals.
 *
 * web workers:
 *  typeof window -> undefined
 *  typeof document -> undefined
 *
 * react-native:
 *  navigator.product -> 'ReactNative'
 */
function isStandardBrowserEnv() {
  if (typeof navigator !== 'undefined' && navigator.product === 'ReactNative') {
    return false;
  }
  return (
    typeof window !== 'undefined' &&
    typeof document !== 'undefined'
  );
}

/**
 * Iterate over an Array or an Object invoking a function for each item.
 *
 * If `obj` is an Array callback will be called passing
 * the value, index, and complete array for each item.
 *
 * If 'obj' is an Object callback will be called passing
 * the value, key, and complete object for each property.
 *
 * @param {Object|Array} obj The object to iterate
 * @param {Function} fn The callback to invoke for each item
 */
function forEach(obj, fn) {
  // Don't bother if no value provided
  if (obj === null || typeof obj === 'undefined') {
    return;
  }

  // Force an array if not already something iterable
  if (typeof obj !== 'object') {
    /*eslint no-param-reassign:0*/
    obj = [obj];
  }

  if (isArray(obj)) {
    // Iterate over array values
    for (var i = 0, l = obj.length; i < l; i++) {
      fn.call(null, obj[i], i, obj);
    }
  } else {
    // Iterate over object keys
    for (var key in obj) {
      if (Object.prototype.hasOwnProperty.call(obj, key)) {
        fn.call(null, obj[key], key, obj);
      }
    }
  }
}

/**
 * Accepts varargs expecting each argument to be an object, then
 * immutably merges the properties of each object and returns result.
 *
 * When multiple objects contain the same key the later object in
 * the arguments list will take precedence.
 *
 * Example:
 *
 * ```js
 * var result = merge({foo: 123}, {foo: 456});
 * console.log(result.foo); // outputs 456
 * ```
 *
 * @param {Object} obj1 Object to merge
 * @returns {Object} Result of all merge properties
 */
function merge(/* obj1, obj2, obj3, ... */) {
  var result = {};
  function assignValue(val, key) {
    if (typeof result[key] === 'object' && typeof val === 'object') {
      result[key] = merge(result[key], val);
    } else {
      result[key] = val;
    }
  }

  for (var i = 0, l = arguments.length; i < l; i++) {
    forEach(arguments[i], assignValue);
  }
  return result;
}

/**
 * Extends object a by mutably adding to it the properties of object b.
 *
 * @param {Object} a The object to be extended
 * @param {Object} b The object to copy properties from
 * @param {Object} thisArg The object to bind function to
 * @return {Object} The resulting value of object a
 */
function extend(a, b, thisArg) {
  forEach(b, function assignValue(val, key) {
    if (thisArg && typeof val === 'function') {
      a[key] = bind(val, thisArg);
    } else {
      a[key] = val;
    }
  });
  return a;
}

module.exports = {
  isArray: isArray,
  isArrayBuffer: isArrayBuffer,
  isBuffer: isBuffer,
  isFormData: isFormData,
  isArrayBufferView: isArrayBufferView,
  isString: isString,
  isNumber: isNumber,
  isObject: isObject,
  isUndefined: isUndefined,
  isDate: isDate,
  isFile: isFile,
  isBlob: isBlob,
  isFunction: isFunction,
  isStream: isStream,
  isURLSearchParams: isURLSearchParams,
  isStandardBrowserEnv: isStandardBrowserEnv,
  forEach: forEach,
  merge: merge,
  extend: extend,
  trim: trim
};


/***/ }),

/***/ "./node_modules/is-buffer/index.js":
/*!*****************************************!*\
  !*** ./node_modules/is-buffer/index.js ***!
  \*****************************************/
/*! no static exports found */
/***/ (function(module, exports) {

/*!
 * Determine if an object is a Buffer
 *
 * @author   Feross Aboukhadijeh <https://feross.org>
 * @license  MIT
 */

// The _isBuffer check is for Safari 5-7 support, because it's missing
// Object.prototype.constructor. Remove this eventually
module.exports = function (obj) {
  return obj != null && (isBuffer(obj) || isSlowBuffer(obj) || !!obj._isBuffer)
}

function isBuffer (obj) {
  return !!obj.constructor && typeof obj.constructor.isBuffer === 'function' && obj.constructor.isBuffer(obj)
}

// For Node v0.10 support. Remove this eventually.
function isSlowBuffer (obj) {
  return typeof obj.readFloatLE === 'function' && typeof obj.slice === 'function' && isBuffer(obj.slice(0, 0))
}


/***/ }),

/***/ "./node_modules/process/browser.js":
/*!*****************************************!*\
  !*** ./node_modules/process/browser.js ***!
  \*****************************************/
/*! no static exports found */
/***/ (function(module, exports) {

// shim for using process in browser
var process = module.exports = {};

// cached from whatever global is present so that test runners that stub it
// don't break things.  But we need to wrap it in a try catch in case it is
// wrapped in strict mode code which doesn't define any globals.  It's inside a
// function because try/catches deoptimize in certain engines.

var cachedSetTimeout;
var cachedClearTimeout;

function defaultSetTimout() {
    throw new Error('setTimeout has not been defined');
}
function defaultClearTimeout () {
    throw new Error('clearTimeout has not been defined');
}
(function () {
    try {
        if (typeof setTimeout === 'function') {
            cachedSetTimeout = setTimeout;
        } else {
            cachedSetTimeout = defaultSetTimout;
        }
    } catch (e) {
        cachedSetTimeout = defaultSetTimout;
    }
    try {
        if (typeof clearTimeout === 'function') {
            cachedClearTimeout = clearTimeout;
        } else {
            cachedClearTimeout = defaultClearTimeout;
        }
    } catch (e) {
        cachedClearTimeout = defaultClearTimeout;
    }
} ())
function runTimeout(fun) {
    if (cachedSetTimeout === setTimeout) {
        //normal enviroments in sane situations
        return setTimeout(fun, 0);
    }
    // if setTimeout wasn't available but was latter defined
    if ((cachedSetTimeout === defaultSetTimout || !cachedSetTimeout) && setTimeout) {
        cachedSetTimeout = setTimeout;
        return setTimeout(fun, 0);
    }
    try {
        // when when somebody has screwed with setTimeout but no I.E. maddness
        return cachedSetTimeout(fun, 0);
    } catch(e){
        try {
            // When we are in I.E. but the script has been evaled so I.E. doesn't trust the global object when called normally
            return cachedSetTimeout.call(null, fun, 0);
        } catch(e){
            // same as above but when it's a version of I.E. that must have the global object for 'this', hopfully our context correct otherwise it will throw a global error
            return cachedSetTimeout.call(this, fun, 0);
        }
    }


}
function runClearTimeout(marker) {
    if (cachedClearTimeout === clearTimeout) {
        //normal enviroments in sane situations
        return clearTimeout(marker);
    }
    // if clearTimeout wasn't available but was latter defined
    if ((cachedClearTimeout === defaultClearTimeout || !cachedClearTimeout) && clearTimeout) {
        cachedClearTimeout = clearTimeout;
        return clearTimeout(marker);
    }
    try {
        // when when somebody has screwed with setTimeout but no I.E. maddness
        return cachedClearTimeout(marker);
    } catch (e){
        try {
            // When we are in I.E. but the script has been evaled so I.E. doesn't  trust the global object when called normally
            return cachedClearTimeout.call(null, marker);
        } catch (e){
            // same as above but when it's a version of I.E. that must have the global object for 'this', hopfully our context correct otherwise it will throw a global error.
            // Some versions of I.E. have different rules for clearTimeout vs setTimeout
            return cachedClearTimeout.call(this, marker);
        }
    }



}
var queue = [];
var draining = false;
var currentQueue;
var queueIndex = -1;

function cleanUpNextTick() {
    if (!draining || !currentQueue) {
        return;
    }
    draining = false;
    if (currentQueue.length) {
        queue = currentQueue.concat(queue);
    } else {
        queueIndex = -1;
    }
    if (queue.length) {
        drainQueue();
    }
}

function drainQueue() {
    if (draining) {
        return;
    }
    var timeout = runTimeout(cleanUpNextTick);
    draining = true;

    var len = queue.length;
    while(len) {
        currentQueue = queue;
        queue = [];
        while (++queueIndex < len) {
            if (currentQueue) {
                currentQueue[queueIndex].run();
            }
        }
        queueIndex = -1;
        len = queue.length;
    }
    currentQueue = null;
    draining = false;
    runClearTimeout(timeout);
}

process.nextTick = function (fun) {
    var args = new Array(arguments.length - 1);
    if (arguments.length > 1) {
        for (var i = 1; i < arguments.length; i++) {
            args[i - 1] = arguments[i];
        }
    }
    queue.push(new Item(fun, args));
    if (queue.length === 1 && !draining) {
        runTimeout(drainQueue);
    }
};

// v8 likes predictible objects
function Item(fun, array) {
    this.fun = fun;
    this.array = array;
}
Item.prototype.run = function () {
    this.fun.apply(null, this.array);
};
process.title = 'browser';
process.browser = true;
process.env = {};
process.argv = [];
process.version = ''; // empty string to avoid regexp issues
process.versions = {};

function noop() {}

process.on = noop;
process.addListener = noop;
process.once = noop;
process.off = noop;
process.removeListener = noop;
process.removeAllListeners = noop;
process.emit = noop;
process.prependListener = noop;
process.prependOnceListener = noop;

process.listeners = function (name) { return [] }

process.binding = function (name) {
    throw new Error('process.binding is not supported');
};

process.cwd = function () { return '/' };
process.chdir = function (dir) {
    throw new Error('process.chdir is not supported');
};
process.umask = function() { return 0; };


/***/ }),

/***/ "./src/Models/AccessControlEntry.tsx":
/*!*******************************************!*\
  !*** ./src/Models/AccessControlEntry.tsx ***!
  \*******************************************/
/*! exports provided: AccessControlEntry */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "AccessControlEntry", function() { return AccessControlEntry; });
var AccessControlEntry = /** @class */ (function () {
    function AccessControlEntry() {
        this.id = 0;
        this.securityRightId = 0;
        this.permission = 0;
        this.securityPrincipleType = 0;
        this.securityPrincipleId = '';
    }
    return AccessControlEntry;
}());



/***/ }),

/***/ "./src/Models/AccessControlList.tsx":
/*!******************************************!*\
  !*** ./src/Models/AccessControlList.tsx ***!
  \******************************************/
/*! exports provided: AccessControlList */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "AccessControlList", function() { return AccessControlList; });
var AccessControlList = /** @class */ (function () {
    function AccessControlList() {
        this.id = 0;
        this.accessControlEntries = Array();
    }
    return AccessControlList;
}());



/***/ }),

/***/ "./src/Models/Command.tsx":
/*!********************************!*\
  !*** ./src/Models/Command.tsx ***!
  \********************************/
/*! exports provided: Command */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "Command", function() { return Command; });
var Command = /** @class */ (function () {
    function Command() {
    }
    return Command;
}());



/***/ }),

/***/ "./src/Models/Country.tsx":
/*!********************************!*\
  !*** ./src/Models/Country.tsx ***!
  \********************************/
/*! exports provided: Country */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "Country", function() { return Country; });
var Country = /** @class */ (function () {
    function Country() {
        this.id = 0;
        this.name = '';
        this.name_Ar = '';
        this.name_En = '';
        this.countryCode = '';
    }
    return Country;
}());



/***/ }),

/***/ "./src/Models/CustomEntityFilter.tsx":
/*!*******************************************!*\
  !*** ./src/Models/CustomEntityFilter.tsx ***!
  \*******************************************/
/*! exports provided: CustomEntityFilter */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "CustomEntityFilter", function() { return CustomEntityFilter; });
var CustomEntityFilter = /** @class */ (function () {
    function CustomEntityFilter() {
        this.name = '';
        this.hidden = false;
    }
    return CustomEntityFilter;
}());



/***/ }),

/***/ "./src/Models/Drive.tsx":
/*!******************************!*\
  !*** ./src/Models/Drive.tsx ***!
  \******************************/
/*! exports provided: Drive */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "Drive", function() { return Drive; });
var Drive = /** @class */ (function () {
    function Drive() {
        this.id = 0;
        this.name = '';
        this.folders = new Array();
        this.files = new Array();
        this.thumbnail = null;
        this.createdBy = '';
        this.createdOn = new Date();
        this.modifiedBy = '';
        this.modifiedOn = null;
    }
    return Drive;
}());



/***/ }),

/***/ "./src/Models/Entity.tsx":
/*!*******************************!*\
  !*** ./src/Models/Entity.tsx ***!
  \*******************************/
/*! exports provided: Entity */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "Entity", function() { return Entity; });
var Entity = /** @class */ (function () {
    function Entity() {
        this.id = 0;
        this.name = '';
        this.displayName = '';
        this.descripion = '';
        this.isSystemDefined = false;
        this.fields = new Array();
        this.createdBy = '';
        this.createdOn = new Date();
        this.modifiedBy = '';
        this.modifiedOn = null;
        this.workspaceId = 0;
        this.creationMode = 0;
    }
    return Entity;
}());



/***/ }),

/***/ "./src/Models/EntityRecordId.tsx":
/*!***************************************!*\
  !*** ./src/Models/EntityRecordId.tsx ***!
  \***************************************/
/*! exports provided: EntityRecordId */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "EntityRecordId", function() { return EntityRecordId; });
var EntityRecordId = /** @class */ (function () {
    function EntityRecordId() {
        this.recordId = '';
        this.entityId = '';
    }
    return EntityRecordId;
}());



/***/ }),

/***/ "./src/Models/Field.tsx":
/*!******************************!*\
  !*** ./src/Models/Field.tsx ***!
  \******************************/
/*! exports provided: Field */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "Field", function() { return Field; });
/* harmony import */ var ___WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! . */ "./src/Models/index.tsx");

var Field = /** @class */ (function () {
    function Field() {
        this.index = 0;
        this.id = 0;
        this.name = '';
        this.placeHolder = '';
        this.displayName = '';
        this.type = 0;
        this.allowNull = false;
        this.isUnique = false;
        this.showInListView = false;
        this.lookups = new Array();
        this.referencedEntityId = 0;
        this.isSystemDefined = false;
        this.isManyToMany = false;
        this.enableSelectionForReferencedEntity = false;
        this.enableCreationForReferencedEntity = false;
        this.selectedLookup = new ___WEBPACK_IMPORTED_MODULE_0__["Lookup"]();
        this.stepNumber = 0;
    }
    return Field;
}());



/***/ }),

/***/ "./src/Models/FieldQuery.tsx":
/*!***********************************!*\
  !*** ./src/Models/FieldQuery.tsx ***!
  \***********************************/
/*! exports provided: FieldQuery */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "FieldQuery", function() { return FieldQuery; });
var FieldQuery = /** @class */ (function () {
    function FieldQuery() {
        this.fieldId = 0;
        this.value = '';
        this.value1 = '';
        this.queryOperator = 0;
    }
    return FieldQuery;
}());



/***/ }),

/***/ "./src/Models/File.tsx":
/*!*****************************!*\
  !*** ./src/Models/File.tsx ***!
  \*****************************/
/*! exports provided: File */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "File", function() { return File; });
var File = /** @class */ (function () {
    function File() {
        this.id = 0;
        this.name = '';
        this.path = '';
        this.contentType = '';
        this.type = 0;
        this.folderId = null;
        this.driveId = null;
        this.createdBy = '';
        this.createdOn = new Date();
        this.modifiedBy = '';
        this.modifiedOn = null;
        this.thumnail = '';
    }
    return File;
}());



/***/ }),

/***/ "./src/Models/FileContent.tsx":
/*!************************************!*\
  !*** ./src/Models/FileContent.tsx ***!
  \************************************/
/*! exports provided: FileContent */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "FileContent", function() { return FileContent; });
/* harmony import */ var ___WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! . */ "./src/Models/index.tsx");
var __extends = (undefined && undefined.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();

var FileContent = /** @class */ (function (_super) {
    __extends(FileContent, _super);
    function FileContent() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.stringContent = '';
        return _this;
    }
    return FileContent;
}(___WEBPACK_IMPORTED_MODULE_0__["File"]));



/***/ }),

/***/ "./src/Models/Folder.tsx":
/*!*******************************!*\
  !*** ./src/Models/Folder.tsx ***!
  \*******************************/
/*! exports provided: Folder */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "Folder", function() { return Folder; });
var Folder = /** @class */ (function () {
    function Folder() {
        this.id = 0;
        this.name = '';
        this.childrenFolders = new Array();
        this.files = new Array();
        this.thumbnail = null;
        this.parentFolderId = null;
        this.driveId = null;
        this.createdBy = '';
        this.createdOn = new Date();
        this.modifiedBy = '';
        this.modifiedOn = null;
    }
    return Folder;
}());



/***/ }),

/***/ "./src/Models/InheritPermissions.tsx":
/*!*******************************************!*\
  !*** ./src/Models/InheritPermissions.tsx ***!
  \*******************************************/
/*! exports provided: InheritPermissions */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "InheritPermissions", function() { return InheritPermissions; });
var InheritPermissions = /** @class */ (function () {
    function InheritPermissions() {
        this.recordId = '';
        this.entityId = '';
        this.parentRecordId = '';
        this.parentEntityId = '';
    }
    return InheritPermissions;
}());



/***/ }),

/***/ "./src/Models/LinkRelatedEntitiesRecordsDto.tsx":
/*!******************************************************!*\
  !*** ./src/Models/LinkRelatedEntitiesRecordsDto.tsx ***!
  \******************************************************/
/*! exports provided: LinkRelatedEntitiesRecordsDto */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "LinkRelatedEntitiesRecordsDto", function() { return LinkRelatedEntitiesRecordsDto; });
var LinkRelatedEntitiesRecordsDto = /** @class */ (function () {
    function LinkRelatedEntitiesRecordsDto() {
        this.entityId = 0;
        this.fieldId = 0;
        this.recordId = 0;
        this.recordsIds = new Array();
    }
    return LinkRelatedEntitiesRecordsDto;
}());



/***/ }),

/***/ "./src/Models/ListRecordsCriteria.tsx":
/*!********************************************!*\
  !*** ./src/Models/ListRecordsCriteria.tsx ***!
  \********************************************/
/*! exports provided: ListRecordsCriteria */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ListRecordsCriteria", function() { return ListRecordsCriteria; });
/* harmony import */ var ___WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! . */ "./src/Models/index.tsx");

var ListRecordsCriteria = /** @class */ (function () {
    function ListRecordsCriteria() {
        this.entityId = 0;
        this.asLookup = false;
        this.fullTextSearch = '';
        this.query = new Array();
        this.pagination = new ___WEBPACK_IMPORTED_MODULE_0__["Pagination"]();
        this.sorting = new ___WEBPACK_IMPORTED_MODULE_0__["Sorting"]();
    }
    return ListRecordsCriteria;
}());



/***/ }),

/***/ "./src/Models/LoginRequest.tsx":
/*!*************************************!*\
  !*** ./src/Models/LoginRequest.tsx ***!
  \*************************************/
/*! exports provided: LoginRequest */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "LoginRequest", function() { return LoginRequest; });
var LoginRequest = /** @class */ (function () {
    function LoginRequest() {
        this.username = '';
        this.password = '';
        this.rememberMe = false;
        this.loginSilently = false;
    }
    return LoginRequest;
}());



/***/ }),

/***/ "./src/Models/Lookup.tsx":
/*!*******************************!*\
  !*** ./src/Models/Lookup.tsx ***!
  \*******************************/
/*! exports provided: Lookup */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "Lookup", function() { return Lookup; });
var Lookup = /** @class */ (function () {
    function Lookup() {
        this.id = 0;
        this.value = '';
    }
    return Lookup;
}());



/***/ }),

/***/ "./src/Models/OrganizationUnit.tsx":
/*!*****************************************!*\
  !*** ./src/Models/OrganizationUnit.tsx ***!
  \*****************************************/
/*! exports provided: OrganizationUnit */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "OrganizationUnit", function() { return OrganizationUnit; });
var OrganizationUnit = /** @class */ (function () {
    function OrganizationUnit() {
        this.id = 0;
        this.name = '';
        this.type = 0;
        this.parentOrganizationUnitId = 0;
        this.organizationUnits = null;
    }
    return OrganizationUnit;
}());



/***/ }),

/***/ "./src/Models/OrganizationUnitType.tsx":
/*!*********************************************!*\
  !*** ./src/Models/OrganizationUnitType.tsx ***!
  \*********************************************/
/*! exports provided: OrganizationUnitType */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "OrganizationUnitType", function() { return OrganizationUnitType; });
var OrganizationUnitType = /** @class */ (function () {
    function OrganizationUnitType() {
        this.id = 0;
        this.name = '';
    }
    return OrganizationUnitType;
}());



/***/ }),

/***/ "./src/Models/Pagination.tsx":
/*!***********************************!*\
  !*** ./src/Models/Pagination.tsx ***!
  \***********************************/
/*! exports provided: Pagination */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "Pagination", function() { return Pagination; });
var Pagination = /** @class */ (function () {
    function Pagination() {
        this.start = 0;
        this.count = 0;
    }
    return Pagination;
}());



/***/ }),

/***/ "./src/Models/Position.tsx":
/*!*********************************!*\
  !*** ./src/Models/Position.tsx ***!
  \*********************************/
/*! exports provided: Position */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "Position", function() { return Position; });
var Position = /** @class */ (function () {
    function Position() {
        this.id = 0;
        this.name = '';
        this.displayName_Ar = '';
        this.displayName_En = '';
        this.positions = null;
    }
    return Position;
}());



/***/ }),

/***/ "./src/Models/Record.tsx":
/*!*******************************!*\
  !*** ./src/Models/Record.tsx ***!
  \*******************************/
/*! exports provided: Record */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "Record", function() { return Record; });
/* harmony import */ var ___WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! . */ "./src/Models/index.tsx");

var Record = /** @class */ (function () {
    function Record() {
        this.id = 0;
        this.entityId = 0;
        this.name = '';
        this.hasWorkflow = false;
        this.fields = new Array();
        this.actions = new Array();
        this.state = new ___WEBPACK_IMPORTED_MODULE_0__["WorkflowState"]();
        this.creationMode = 0;
    }
    return Record;
}());



/***/ }),

/***/ "./src/Models/RecordField.tsx":
/*!************************************!*\
  !*** ./src/Models/RecordField.tsx ***!
  \************************************/
/*! exports provided: RecordField */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "RecordField", function() { return RecordField; });
/* harmony import */ var ___WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! . */ "./src/Models/index.tsx");

var RecordField = /** @class */ (function () {
    function RecordField() {
        this.index = 0;
        this.id = 0;
        this.displayName = '';
        this.type = 0;
        this.allowNull = true;
        this.isUnique = false;
        this.showInListView = false;
        this.lookups = new Array();
        this.records = new ___WEBPACK_IMPORTED_MODULE_0__["Records"]();
        this.workflowHistory = new Array();
        this.stepNumber = 0;
        this.hidden = false;
        this.disabled = false;
        this.multipleSelection = false;
    }
    return RecordField;
}());



/***/ }),

/***/ "./src/Models/Records.tsx":
/*!********************************!*\
  !*** ./src/Models/Records.tsx ***!
  \********************************/
/*! exports provided: Records */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "Records", function() { return Records; });
var Records = /** @class */ (function () {
    function Records() {
        this.entityId = 0;
        this.entityDisplayName = '';
        this.enableSelection = false;
        this.enableCreation = false;
        this.totalNumberOfRecords = 0;
        this.records = new Array();
    }
    return Records;
}());



/***/ }),

/***/ "./src/Models/SecurityGroup.tsx":
/*!**************************************!*\
  !*** ./src/Models/SecurityGroup.tsx ***!
  \**************************************/
/*! exports provided: SecurityGroup */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "SecurityGroup", function() { return SecurityGroup; });
var SecurityGroup = /** @class */ (function () {
    function SecurityGroup() {
        this.id = 0;
        this.name = '';
        this.displayName_En = '';
        this.displayName_Ar = '';
        this.isBuiltIn = false;
    }
    return SecurityGroup;
}());



/***/ }),

/***/ "./src/Models/SecurityRight.tsx":
/*!**************************************!*\
  !*** ./src/Models/SecurityRight.tsx ***!
  \**************************************/
/*! exports provided: SecurityRight */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "SecurityRight", function() { return SecurityRight; });
var SecurityRight = /** @class */ (function () {
    function SecurityRight() {
        this.id = 0;
        this.action = '';
        this.entityId = '';
    }
    return SecurityRight;
}());



/***/ }),

/***/ "./src/Models/Sorting.tsx":
/*!********************************!*\
  !*** ./src/Models/Sorting.tsx ***!
  \********************************/
/*! exports provided: Sorting */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "Sorting", function() { return Sorting; });
var Sorting = /** @class */ (function () {
    function Sorting() {
        this.fieldId = 0;
        this.direction = 0;
    }
    return Sorting;
}());



/***/ }),

/***/ "./src/Models/Table/TableStructure.tsx":
/*!*********************************************!*\
  !*** ./src/Models/Table/TableStructure.tsx ***!
  \*********************************************/
/*! exports provided: TableStructure */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "TableStructure", function() { return TableStructure; });
var TableStructure = /** @class */ (function () {
    function TableStructure() {
    }
    return TableStructure;
}());



/***/ }),

/***/ "./src/Models/User.tsx":
/*!*****************************!*\
  !*** ./src/Models/User.tsx ***!
  \*****************************/
/*! exports provided: User */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "User", function() { return User; });
var User = /** @class */ (function () {
    function User() {
        this.id = '';
        this.name = '';
        this.email = '';
        this.phoneNumber = '';
    }
    return User;
}());



/***/ }),

/***/ "./src/Models/WorkflowAction.tsx":
/*!***************************************!*\
  !*** ./src/Models/WorkflowAction.tsx ***!
  \***************************************/
/*! exports provided: WorkflowAction */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "WorkflowAction", function() { return WorkflowAction; });
var WorkflowAction = /** @class */ (function () {
    function WorkflowAction() {
        this.id = 0;
        this.name = '';
    }
    return WorkflowAction;
}());



/***/ }),

/***/ "./src/Models/WorkflowHistory.tsx":
/*!****************************************!*\
  !*** ./src/Models/WorkflowHistory.tsx ***!
  \****************************************/
/*! exports provided: WorkflowHistory */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "WorkflowHistory", function() { return WorkflowHistory; });
/* harmony import */ var ___WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! . */ "./src/Models/index.tsx");

var WorkflowHistory = /** @class */ (function () {
    function WorkflowHistory() {
        this.id = 0;
        this.dateOfAction = '';
        this.notes = '';
        this.state = new ___WEBPACK_IMPORTED_MODULE_0__["WorkflowState"]();
        this.action = new ___WEBPACK_IMPORTED_MODULE_0__["WorkflowAction"]();
    }
    return WorkflowHistory;
}());



/***/ }),

/***/ "./src/Models/WorkflowState.tsx":
/*!**************************************!*\
  !*** ./src/Models/WorkflowState.tsx ***!
  \**************************************/
/*! exports provided: WorkflowState */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "WorkflowState", function() { return WorkflowState; });
var WorkflowState = /** @class */ (function () {
    function WorkflowState() {
        this.id = 0;
        this.name = '';
    }
    return WorkflowState;
}());



/***/ }),

/***/ "./src/Models/Workspace.tsx":
/*!**********************************!*\
  !*** ./src/Models/Workspace.tsx ***!
  \**********************************/
/*! exports provided: Workspace */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "Workspace", function() { return Workspace; });
var Workspace = /** @class */ (function () {
    function Workspace() {
        this.id = 0;
        this.name = '';
        this.displayName = '';
        this.isSystemDefined = false;
        this.entities = new Array();
        this.createdBy = '';
        this.createdOn = new Date();
        this.modifiedBy = '';
        this.modifiedOn = null;
    }
    return Workspace;
}());



/***/ }),

/***/ "./src/Models/index.tsx":
/*!******************************!*\
  !*** ./src/Models/index.tsx ***!
  \******************************/
/*! exports provided: Lookup, Field, Entity, Record, RecordField, File, FileContent, FieldQuery, LinkRelatedEntitiesRecordsDto, Records, ListRecordsCriteria, Sorting, Pagination, WorkflowAction, WorkflowState, WorkflowHistory, Folder, OrganizationUnit, Position, SecurityGroup, User, LoginRequest, Drive, AccessControlList, AccessControlEntry, SecurityRight, EntityRecordId, InheritPermissions, TableStructure, Command, Workspace, OrganizationUnitType, CustomEntityFilter, Country */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _Lookup__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./Lookup */ "./src/Models/Lookup.tsx");
/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, "Lookup", function() { return _Lookup__WEBPACK_IMPORTED_MODULE_0__["Lookup"]; });

/* harmony import */ var _Field__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./Field */ "./src/Models/Field.tsx");
/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, "Field", function() { return _Field__WEBPACK_IMPORTED_MODULE_1__["Field"]; });

/* harmony import */ var _Entity__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./Entity */ "./src/Models/Entity.tsx");
/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, "Entity", function() { return _Entity__WEBPACK_IMPORTED_MODULE_2__["Entity"]; });

/* harmony import */ var _Record__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./Record */ "./src/Models/Record.tsx");
/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, "Record", function() { return _Record__WEBPACK_IMPORTED_MODULE_3__["Record"]; });

/* harmony import */ var _RecordField__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./RecordField */ "./src/Models/RecordField.tsx");
/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, "RecordField", function() { return _RecordField__WEBPACK_IMPORTED_MODULE_4__["RecordField"]; });

/* harmony import */ var _File__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./File */ "./src/Models/File.tsx");
/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, "File", function() { return _File__WEBPACK_IMPORTED_MODULE_5__["File"]; });

/* harmony import */ var _FileContent__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./FileContent */ "./src/Models/FileContent.tsx");
/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, "FileContent", function() { return _FileContent__WEBPACK_IMPORTED_MODULE_6__["FileContent"]; });

/* harmony import */ var _FieldQuery__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./FieldQuery */ "./src/Models/FieldQuery.tsx");
/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, "FieldQuery", function() { return _FieldQuery__WEBPACK_IMPORTED_MODULE_7__["FieldQuery"]; });

/* harmony import */ var _LinkRelatedEntitiesRecordsDto__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ./LinkRelatedEntitiesRecordsDto */ "./src/Models/LinkRelatedEntitiesRecordsDto.tsx");
/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, "LinkRelatedEntitiesRecordsDto", function() { return _LinkRelatedEntitiesRecordsDto__WEBPACK_IMPORTED_MODULE_8__["LinkRelatedEntitiesRecordsDto"]; });

/* harmony import */ var _Records__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ./Records */ "./src/Models/Records.tsx");
/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, "Records", function() { return _Records__WEBPACK_IMPORTED_MODULE_9__["Records"]; });

/* harmony import */ var _ListRecordsCriteria__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ./ListRecordsCriteria */ "./src/Models/ListRecordsCriteria.tsx");
/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, "ListRecordsCriteria", function() { return _ListRecordsCriteria__WEBPACK_IMPORTED_MODULE_10__["ListRecordsCriteria"]; });

/* harmony import */ var _Sorting__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ./Sorting */ "./src/Models/Sorting.tsx");
/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, "Sorting", function() { return _Sorting__WEBPACK_IMPORTED_MODULE_11__["Sorting"]; });

/* harmony import */ var _Pagination__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! ./Pagination */ "./src/Models/Pagination.tsx");
/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, "Pagination", function() { return _Pagination__WEBPACK_IMPORTED_MODULE_12__["Pagination"]; });

/* harmony import */ var _WorkflowAction__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(/*! ./WorkflowAction */ "./src/Models/WorkflowAction.tsx");
/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, "WorkflowAction", function() { return _WorkflowAction__WEBPACK_IMPORTED_MODULE_13__["WorkflowAction"]; });

/* harmony import */ var _WorkflowState__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(/*! ./WorkflowState */ "./src/Models/WorkflowState.tsx");
/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, "WorkflowState", function() { return _WorkflowState__WEBPACK_IMPORTED_MODULE_14__["WorkflowState"]; });

/* harmony import */ var _WorkflowHistory__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(/*! ./WorkflowHistory */ "./src/Models/WorkflowHistory.tsx");
/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, "WorkflowHistory", function() { return _WorkflowHistory__WEBPACK_IMPORTED_MODULE_15__["WorkflowHistory"]; });

/* harmony import */ var _Folder__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(/*! ./Folder */ "./src/Models/Folder.tsx");
/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, "Folder", function() { return _Folder__WEBPACK_IMPORTED_MODULE_16__["Folder"]; });

/* harmony import */ var _OrganizationUnit__WEBPACK_IMPORTED_MODULE_17__ = __webpack_require__(/*! ./OrganizationUnit */ "./src/Models/OrganizationUnit.tsx");
/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, "OrganizationUnit", function() { return _OrganizationUnit__WEBPACK_IMPORTED_MODULE_17__["OrganizationUnit"]; });

/* harmony import */ var _Position__WEBPACK_IMPORTED_MODULE_18__ = __webpack_require__(/*! ./Position */ "./src/Models/Position.tsx");
/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, "Position", function() { return _Position__WEBPACK_IMPORTED_MODULE_18__["Position"]; });

/* harmony import */ var _SecurityGroup__WEBPACK_IMPORTED_MODULE_19__ = __webpack_require__(/*! ./SecurityGroup */ "./src/Models/SecurityGroup.tsx");
/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, "SecurityGroup", function() { return _SecurityGroup__WEBPACK_IMPORTED_MODULE_19__["SecurityGroup"]; });

/* harmony import */ var _User__WEBPACK_IMPORTED_MODULE_20__ = __webpack_require__(/*! ./User */ "./src/Models/User.tsx");
/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, "User", function() { return _User__WEBPACK_IMPORTED_MODULE_20__["User"]; });

/* harmony import */ var _LoginRequest__WEBPACK_IMPORTED_MODULE_21__ = __webpack_require__(/*! ./LoginRequest */ "./src/Models/LoginRequest.tsx");
/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, "LoginRequest", function() { return _LoginRequest__WEBPACK_IMPORTED_MODULE_21__["LoginRequest"]; });

/* harmony import */ var _Drive__WEBPACK_IMPORTED_MODULE_22__ = __webpack_require__(/*! ./Drive */ "./src/Models/Drive.tsx");
/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, "Drive", function() { return _Drive__WEBPACK_IMPORTED_MODULE_22__["Drive"]; });

/* harmony import */ var _AccessControlList__WEBPACK_IMPORTED_MODULE_23__ = __webpack_require__(/*! ./AccessControlList */ "./src/Models/AccessControlList.tsx");
/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, "AccessControlList", function() { return _AccessControlList__WEBPACK_IMPORTED_MODULE_23__["AccessControlList"]; });

/* harmony import */ var _AccessControlEntry__WEBPACK_IMPORTED_MODULE_24__ = __webpack_require__(/*! ./AccessControlEntry */ "./src/Models/AccessControlEntry.tsx");
/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, "AccessControlEntry", function() { return _AccessControlEntry__WEBPACK_IMPORTED_MODULE_24__["AccessControlEntry"]; });

/* harmony import */ var _SecurityRight__WEBPACK_IMPORTED_MODULE_25__ = __webpack_require__(/*! ./SecurityRight */ "./src/Models/SecurityRight.tsx");
/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, "SecurityRight", function() { return _SecurityRight__WEBPACK_IMPORTED_MODULE_25__["SecurityRight"]; });

/* harmony import */ var _EntityRecordId__WEBPACK_IMPORTED_MODULE_26__ = __webpack_require__(/*! ./EntityRecordId */ "./src/Models/EntityRecordId.tsx");
/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, "EntityRecordId", function() { return _EntityRecordId__WEBPACK_IMPORTED_MODULE_26__["EntityRecordId"]; });

/* harmony import */ var _InheritPermissions__WEBPACK_IMPORTED_MODULE_27__ = __webpack_require__(/*! ./InheritPermissions */ "./src/Models/InheritPermissions.tsx");
/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, "InheritPermissions", function() { return _InheritPermissions__WEBPACK_IMPORTED_MODULE_27__["InheritPermissions"]; });

/* harmony import */ var _Table_TableStructure__WEBPACK_IMPORTED_MODULE_28__ = __webpack_require__(/*! ./Table/TableStructure */ "./src/Models/Table/TableStructure.tsx");
/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, "TableStructure", function() { return _Table_TableStructure__WEBPACK_IMPORTED_MODULE_28__["TableStructure"]; });

/* harmony import */ var _Command__WEBPACK_IMPORTED_MODULE_29__ = __webpack_require__(/*! ./Command */ "./src/Models/Command.tsx");
/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, "Command", function() { return _Command__WEBPACK_IMPORTED_MODULE_29__["Command"]; });

/* harmony import */ var _Workspace__WEBPACK_IMPORTED_MODULE_30__ = __webpack_require__(/*! ./Workspace */ "./src/Models/Workspace.tsx");
/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, "Workspace", function() { return _Workspace__WEBPACK_IMPORTED_MODULE_30__["Workspace"]; });

/* harmony import */ var _OrganizationUnitType__WEBPACK_IMPORTED_MODULE_31__ = __webpack_require__(/*! ./OrganizationUnitType */ "./src/Models/OrganizationUnitType.tsx");
/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, "OrganizationUnitType", function() { return _OrganizationUnitType__WEBPACK_IMPORTED_MODULE_31__["OrganizationUnitType"]; });

/* harmony import */ var _CustomEntityFilter__WEBPACK_IMPORTED_MODULE_32__ = __webpack_require__(/*! ./CustomEntityFilter */ "./src/Models/CustomEntityFilter.tsx");
/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, "CustomEntityFilter", function() { return _CustomEntityFilter__WEBPACK_IMPORTED_MODULE_32__["CustomEntityFilter"]; });

/* harmony import */ var _Country__WEBPACK_IMPORTED_MODULE_33__ = __webpack_require__(/*! ./Country */ "./src/Models/Country.tsx");
/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, "Country", function() { return _Country__WEBPACK_IMPORTED_MODULE_33__["Country"]; });





































/***/ }),

/***/ "./src/Services/CachingService.tsx":
/*!*****************************************!*\
  !*** ./src/Services/CachingService.tsx ***!
  \*****************************************/
/*! exports provided: CachingService */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "CachingService", function() { return CachingService; });
var CachingService = /** @class */ (function () {
    function CachingService() {
    }
    CachingService.prototype.store = function (key, value) {
        sessionStorage.setItem(key, JSON.stringify(value));
    };
    CachingService.prototype.read = function (key) {
        var value = sessionStorage.getItem(key);
        if (!value)
            return '';
        return JSON.parse(value);
    };
    CachingService.prototype.emptyStorage = function () {
        sessionStorage.clear();
    };
    CachingService.prototype.storePersistant = function (key, value) {
        localStorage.setItem(key, JSON.stringify(value));
    };
    CachingService.prototype.readPersistant = function (key) {
        var value = localStorage.getItem(key);
        if (!value)
            return '';
        return JSON.parse(value);
    };
    return CachingService;
}());



/***/ }),

/***/ "./src/Services/EntityService.tsx":
/*!****************************************!*\
  !*** ./src/Services/EntityService.tsx ***!
  \****************************************/
/*! exports provided: EntityService */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "EntityService", function() { return EntityService; });
/* harmony import */ var axios__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! axios */ "./node_modules/axios/index.js");
/* harmony import */ var axios__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(axios__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var ___WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! . */ "./src/Services/index.tsx");


var EntityService = /** @class */ (function () {
    function EntityService() {
        this.baseUrl = '';
        this.config = __webpack_require__(/*! ../config.json */ "./src/config.json");
        var cachingService = new ___WEBPACK_IMPORTED_MODULE_1__["CachingService"]();
        this._axiosRequestConfig = {
            headers: {
                'Content-Type': 'application/json',
                'TenantId': cachingService.read('TenantId'),
                'Language': cachingService.readPersistant('Language'),
                'Bearer': cachingService.read('Token')
            }
        };
        this.baseUrl = this.config.baseUrl;
    }
    EntityService.prototype.listEntities = function (workspaceId) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.post(_this.baseUrl + '/api/CustomizedEntity/ListEntities', workspaceId, _this._axiosRequestConfig).then(function (response) {
                resolve(response.data);
            }, function (err) {
                reject(err);
            });
        });
    };
    EntityService.prototype.getLookup = function (fieldId) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.get(_this.baseUrl + '/api/CustomizedEntity/GetLookup?fieldId=' + fieldId, _this._axiosRequestConfig).then(function (response) {
                resolve(response.data);
            }, function (err) {
                reject(err);
            });
        });
    };
    EntityService.prototype.getReasonLookups = function (transferType) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.get(_this.baseUrl + '/api/AAAID/GetReasonLookups?transferType=' + transferType, _this._axiosRequestConfig).then(function (response) {
                resolve(response.data);
            }, function (err) {
                reject(err);
            });
        });
    };
    EntityService.prototype.deleteEntity = function (id) {
        return axios__WEBPACK_IMPORTED_MODULE_0___default.a.post(this.baseUrl + '/api/CustomizedEntity/deleteEntity', id, this._axiosRequestConfig);
    };
    EntityService.prototype.getEntity = function (id) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.post(_this.baseUrl + '/api/CustomizedEntity/GetEntity', id, _this._axiosRequestConfig).then(function (response) {
                resolve(response.data);
            }, function (err) {
                reject(err);
            });
        });
    };
    EntityService.prototype.saveEntity = function (entity) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.post(_this.baseUrl + '/api/CustomizedEntity/SaveEntity', entity, _this._axiosRequestConfig).then(function (response) {
                resolve(response.data);
            }, function (err) {
                reject(err);
            });
        });
    };
    EntityService.prototype.listRelatedEntities = function (id) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.post(_this.baseUrl + '/api/CustomizedEntity/ListRelatedEntities', id, _this._axiosRequestConfig).then(function (response) {
                resolve(response.data);
            }, function (err) {
                reject(err);
            });
        });
    };
    EntityService.prototype.listWorkspaces = function () {
        var _this = this;
        return new Promise(function (resolve, reject) {
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.get(_this.baseUrl + '/api/CustomizedEntity/ListWorkspaces/', _this._axiosRequestConfig).then(function (response) {
                resolve(response.data);
            }, function (err) {
                reject(err);
            });
        });
    };
    EntityService.prototype.deleteWorkspace = function (id) {
        return axios__WEBPACK_IMPORTED_MODULE_0___default.a.post(this.baseUrl + '/api/CustomizedEntity/DeleteWorkspace', id, this._axiosRequestConfig);
    };
    EntityService.prototype.getWorkspace = function (id) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.post(_this.baseUrl + '/api/CustomizedEntity/GetWorkspace', id, _this._axiosRequestConfig).then(function (response) {
                resolve(response.data);
            }, function (err) {
                reject(err);
            });
        });
    };
    EntityService.prototype.saveWorkspace = function (workspace) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.post(_this.baseUrl + '/api/CustomizedEntity/SaveWorkspace', workspace, _this._axiosRequestConfig).then(function (response) {
                resolve(response.data);
            }, function (err) {
                reject(err);
            });
        });
    };
    EntityService.prototype.listFilters = function (entityId) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.get(_this.baseUrl + '/api/CustomizedEntity/GetFilters?entityId=' + entityId, _this._axiosRequestConfig).then(function (response) {
                resolve(response.data);
            }, function (err) {
                reject(err);
            });
        });
    };
    return EntityService;
}());



/***/ }),

/***/ "./src/Services/FileService.tsx":
/*!**************************************!*\
  !*** ./src/Services/FileService.tsx ***!
  \**************************************/
/*! exports provided: FileService */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "FileService", function() { return FileService; });
/* harmony import */ var axios__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! axios */ "./node_modules/axios/index.js");
/* harmony import */ var axios__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(axios__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var ___WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! . */ "./src/Services/index.tsx");


var FileService = /** @class */ (function () {
    function FileService() {
        this.baseUrl = '';
        this.config = __webpack_require__(/*! ../config.json */ "./src/config.json");
        var cachingService = new ___WEBPACK_IMPORTED_MODULE_1__["CachingService"]();
        this._axiosRequestConfig = {
            headers: {
                'Content-Type': 'application/json',
                'TenantId': cachingService.read('TenantId'),
                'Language': cachingService.readPersistant('Language'),
                'Authorization': 'Bearer ' + cachingService.read('Token'),
                'UserId': cachingService.read('UserId')
            }
        };
        this.baseUrl = this.config.baseUrl;
    }
    FileService.prototype.getRequestHeaders = function () {
        return this._axiosRequestConfig.headers;
    };
    FileService.prototype.listFiles = function () {
        return axios__WEBPACK_IMPORTED_MODULE_0___default.a.get(this.baseUrl + '/api/File/ListFiles', this._axiosRequestConfig);
    };
    FileService.prototype.deleteFile = function (id) {
        return axios__WEBPACK_IMPORTED_MODULE_0___default.a.get(this.baseUrl + '/api/File/DeleteFile/' + id, this._axiosRequestConfig);
    };
    FileService.prototype.getFile = function (id) {
        return axios__WEBPACK_IMPORTED_MODULE_0___default.a.get(this.baseUrl + '/api/File/GetFile/' + id, this._axiosRequestConfig);
    };
    FileService.prototype.saveFile = function (file) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.post(_this.baseUrl + '/api/File/SaveFile/', file, _this._axiosRequestConfig).then(function (response) {
                resolve(response.data);
            }, function (err) {
                reject(err);
            });
        });
    };
    FileService.prototype.downloadFileContent = function (id) {
        return axios__WEBPACK_IMPORTED_MODULE_0___default.a.get(this.baseUrl + '/api/File/DownloadFileContent/' + id, this._axiosRequestConfig);
    };
    FileService.prototype.uploadFileContent = function (formData) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.post(_this.baseUrl + '/api/File/UploadFileContent/', formData, _this._axiosRequestConfig).then(function (response) {
                resolve(response.data);
            }, function (err) {
                reject(err);
            });
        });
    };
    FileService.prototype.getUploadFileContentEndpoint = function (recordId) {
        return this.baseUrl + '/api/AAAID/UploadFileContent/?recordId=' + recordId;
    };
    FileService.prototype.getDeleteFileEndpoint = function (id) {
        return this.baseUrl + '/api/File/DeleteFile/' + id;
    };
    FileService.prototype.getFullPath = function (file) {
        if (file == null)
            return "";
        return this.baseUrl + "/" + file.path;
    };
    FileService.prototype.listFilesInFolder = function (id) {
        return axios__WEBPACK_IMPORTED_MODULE_0___default.a.get(this.baseUrl + '/api/File/ListFilesInFolder/' + id, this._axiosRequestConfig);
    };
    FileService.prototype.deleteFolder = function (id) {
        return axios__WEBPACK_IMPORTED_MODULE_0___default.a.get(this.baseUrl + '/api/File/DeleteFolder/' + id, this._axiosRequestConfig);
    };
    FileService.prototype.getFolder = function (id) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.get(_this.baseUrl + '/api/File/GetFolder/' + id, _this._axiosRequestConfig).then(function (response) {
                resolve(response.data);
            }, function (err) {
                reject(err);
            });
        });
    };
    FileService.prototype.saveFolder = function (folder) {
        return axios__WEBPACK_IMPORTED_MODULE_0___default.a.post(this.baseUrl + '/api/File/SaveFolder', folder, this._axiosRequestConfig);
    };
    FileService.prototype.listDrives = function () {
        var _this = this;
        return new Promise(function (resolve, reject) {
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.get(_this.baseUrl + '/api/File/ListDrives', _this._axiosRequestConfig).then(function (response) {
                resolve(response.data);
            }, function (err) {
                reject(err);
            });
        });
    };
    FileService.prototype.deleteDrive = function (id) {
        return axios__WEBPACK_IMPORTED_MODULE_0___default.a.get(this.baseUrl + '/api/File/DeleteDrive/' + id, this._axiosRequestConfig);
    };
    FileService.prototype.getDrive = function (id) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.get(_this.baseUrl + '/api/File/GetDrive/' + id, _this._axiosRequestConfig).then(function (response) {
                resolve(response.data);
            }, function (err) {
                reject(err);
            });
        });
        //return axios.get(this.baseUrl + '/api/File/GetDrive/' + id, this._axiosRequestConfig);
    };
    FileService.prototype.saveDrive = function (drive) {
        return axios__WEBPACK_IMPORTED_MODULE_0___default.a.post(this.baseUrl + '/api/File/SaveDrive', drive, this._axiosRequestConfig);
    };
    return FileService;
}());



/***/ }),

/***/ "./src/Services/ImportExportService.tsx":
/*!**********************************************!*\
  !*** ./src/Services/ImportExportService.tsx ***!
  \**********************************************/
/*! exports provided: ImportExportService */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ImportExportService", function() { return ImportExportService; });
/* harmony import */ var axios__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! axios */ "./node_modules/axios/index.js");
/* harmony import */ var axios__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(axios__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _CachingService__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./CachingService */ "./src/Services/CachingService.tsx");


var ImportExportService = /** @class */ (function () {
    function ImportExportService() {
        this.baseUrl = '';
        this.config = __webpack_require__(/*! ../config.json */ "./src/config.json");
        var cachingService = new _CachingService__WEBPACK_IMPORTED_MODULE_1__["CachingService"]();
        this._axiosRequestConfig = {
            headers: {
                'Content-Type': 'application/json',
                'TenantId': cachingService.read('TenantId'),
                'Language': cachingService.readPersistant('Language'),
                'Bearer': cachingService.read('Token'),
                'UserId': cachingService.read('UserId')
            }
        };
        this.baseUrl = this.config.baseUrl;
    }
    ImportExportService.prototype.downloadFile = function (recordId, entityId, fileName) {
        return this._getFileFromServer(recordId, entityId).then(function (url) {
            var link = document.createElement('a');
            link.href = url;
            link.setAttribute('download', fileName + '.pdf'); //or any other extension
            document.body.appendChild(link);
            link.click();
        }, function (error) {
            alert(error);
        });
    };
    ImportExportService.prototype.showFile = function (recordId, entityId) {
        return this._getFileFromServer(recordId, entityId).then(function (url) {
            //window.open(url, 'file.pdf');
            var link = document.createElement('a');
            link.href = url;
            //link.setAttribute('download', 'file.pdf'); //or any other extension
            document.body.appendChild(link);
            link.click();
        }, function (error) {
            alert(error);
        });
        ;
    };
    ImportExportService.prototype._getFileFromServer = function (recordId, entityId) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this._axiosRequestConfig.responseType = 'blob';
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.get(_this.baseUrl + '/api/AAAID/ExportDocument?recordId=' + recordId + '&entityId=' + entityId, _this._axiosRequestConfig).then(function (response) {
                var url = window.URL.createObjectURL(new Blob([response.data]));
                resolve(url);
            }, function (err) {
                reject(err);
            });
        });
    };
    return ImportExportService;
}());



/***/ }),

/***/ "./src/Services/OrganizationService.tsx":
/*!**********************************************!*\
  !*** ./src/Services/OrganizationService.tsx ***!
  \**********************************************/
/*! exports provided: OrganizationService */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "OrganizationService", function() { return OrganizationService; });
/* harmony import */ var axios__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! axios */ "./node_modules/axios/index.js");
/* harmony import */ var axios__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(axios__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var ___WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! . */ "./src/Services/index.tsx");


var OrganizationService = /** @class */ (function () {
    function OrganizationService() {
        this.baseUrl = '';
        this.config = __webpack_require__(/*! ../config.json */ "./src/config.json");
        var cachingService = new ___WEBPACK_IMPORTED_MODULE_1__["CachingService"]();
        this._axiosRequestConfig = {
            headers: {
                'Content-Type': 'application/json',
                'TenantId': cachingService.read('TenantId'),
                'Language': cachingService.readPersistant('Language'),
                'Bearer': cachingService.read('Token')
            }
        };
        this.baseUrl = this.config.baseUrl;
    }
    OrganizationService.prototype.getOrganization = function (id) {
        return axios__WEBPACK_IMPORTED_MODULE_0___default.a.get(this.baseUrl + '/api/Organization/GetOrganization/' + id, this._axiosRequestConfig);
    };
    OrganizationService.prototype.deleteOrganization = function (id) {
        return axios__WEBPACK_IMPORTED_MODULE_0___default.a.get(this.baseUrl + '/api/Organization/DeleteOrganization/' + id, this._axiosRequestConfig);
    };
    OrganizationService.prototype.getUserOrganizations = function (id) {
        return axios__WEBPACK_IMPORTED_MODULE_0___default.a.get(this.baseUrl + '/api/Organization/GetUserOrganizations/' + id, this._axiosRequestConfig);
    };
    OrganizationService.prototype.listOrganizations = function () {
        var _this = this;
        return new Promise(function (resolve, reject) {
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.get(_this.baseUrl + '/api/Organization/ListOrganizations', _this._axiosRequestConfig).then(function (response) {
                resolve(response.data);
            }, function (err) {
                reject(err);
            });
        });
    };
    OrganizationService.prototype.listOrganizationsForTransfer = function (correspondenceDepartmentId) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.get(_this.baseUrl + '/api/AAAID/ListOrganizationsForTransfer?correspondenceDepartmentId=' + correspondenceDepartmentId, _this._axiosRequestConfig).then(function (response) {
                resolve(response.data);
            }, function (err) {
                reject(err);
            });
        });
    };
    OrganizationService.prototype.saveOrganization = function (organizationUnit) {
        return axios__WEBPACK_IMPORTED_MODULE_0___default.a.post(this.baseUrl + '/api/Organization/SaveOrganization', organizationUnit, this._axiosRequestConfig);
    };
    OrganizationService.prototype.getOrganizationUnitTypes = function () {
        var _this = this;
        return new Promise(function (resolve, reject) {
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.get(_this.baseUrl + '/api/Organization/GetOrganizationUnitTypes', _this._axiosRequestConfig).then(function (response) {
                resolve(response.data);
            }, function (err) {
                reject(err);
            });
        });
    };
    return OrganizationService;
}());



/***/ }),

/***/ "./src/Services/PositionService.tsx":
/*!******************************************!*\
  !*** ./src/Services/PositionService.tsx ***!
  \******************************************/
/*! exports provided: PositionService */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "PositionService", function() { return PositionService; });
/* harmony import */ var axios__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! axios */ "./node_modules/axios/index.js");
/* harmony import */ var axios__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(axios__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var ___WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! . */ "./src/Services/index.tsx");


var PositionService = /** @class */ (function () {
    function PositionService() {
        this.baseUrl = '';
        this.config = __webpack_require__(/*! ../config.json */ "./src/config.json");
        var cachingService = new ___WEBPACK_IMPORTED_MODULE_1__["CachingService"]();
        this._axiosRequestConfig = {
            headers: {
                'Content-Type': 'application/json',
                'TenantId': cachingService.read('TenantId'),
                'Language': cachingService.readPersistant('Language'),
                'Bearer': cachingService.read('Token')
            }
        };
        this.baseUrl = this.config.baseUrl;
    }
    PositionService.prototype.getPosition = function (id) {
        return axios__WEBPACK_IMPORTED_MODULE_0___default.a.get(this.baseUrl + '/api/Position/GetPosition/' + id, this._axiosRequestConfig);
    };
    PositionService.prototype.deletePosition = function (id) {
        return axios__WEBPACK_IMPORTED_MODULE_0___default.a.get(this.baseUrl + '/api/Position/DeletePosition/' + id, this._axiosRequestConfig);
    };
    PositionService.prototype.getUserPositions = function (id) {
        return axios__WEBPACK_IMPORTED_MODULE_0___default.a.get(this.baseUrl + '/api/Position/GetUserPositions/' + id, this._axiosRequestConfig);
    };
    PositionService.prototype.listPositions = function () {
        var _this = this;
        return new Promise(function (resolve, reject) {
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.get(_this.baseUrl + '/api/Position/ListPositions', _this._axiosRequestConfig).then(function (response) {
                resolve(response.data);
            }, function (err) {
                reject(err);
            });
        });
    };
    PositionService.prototype.savePosition = function (position) {
        return axios__WEBPACK_IMPORTED_MODULE_0___default.a.post(this.baseUrl + '/api/Position/SavePosition', position, this._axiosRequestConfig);
    };
    return PositionService;
}());



/***/ }),

/***/ "./src/Services/RecordService.tsx":
/*!****************************************!*\
  !*** ./src/Services/RecordService.tsx ***!
  \****************************************/
/*! exports provided: RecordService */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "RecordService", function() { return RecordService; });
/* harmony import */ var axios__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! axios */ "./node_modules/axios/index.js");
/* harmony import */ var axios__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(axios__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var ___WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! . */ "./src/Services/index.tsx");


var RecordService = /** @class */ (function () {
    function RecordService() {
        this.baseUrl = '';
        this.config = __webpack_require__(/*! ../config.json */ "./src/config.json");
        var cachingService = new ___WEBPACK_IMPORTED_MODULE_1__["CachingService"]();
        this._axiosRequestConfig = {
            headers: {
                'Content-Type': 'application/json',
                'TenantId': cachingService.read('TenantId'),
                'Language': cachingService.readPersistant('Language'),
                'Authorization': 'Bearer ' + cachingService.read('Token'),
                'UserId': cachingService.read('UserId')
            }
        };
        this.baseUrl = this.config.baseUrl;
    }
    RecordService.prototype.getRecordsCount = function (criteria) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.post(_this.baseUrl + '/api/CustomizedEntityRecord/GetRecordsCount', criteria, _this._axiosRequestConfig).then(function (response) {
                resolve(response.data);
            }, function (err) {
                reject(err);
            });
        });
    };
    RecordService.prototype.listRecords = function (criteria) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.post(_this.baseUrl + '/api/CustomizedEntityRecord/ListRecords', criteria, _this._axiosRequestConfig).then(function (response) {
                resolve(response.data);
            }, function (err) {
                reject(err);
            });
        });
    };
    RecordService.prototype.deleteRecord = function (entityId, id) {
        return axios__WEBPACK_IMPORTED_MODULE_0___default.a.post(this.baseUrl + '/api/AAAID/DeleteRecord', { "entityId": entityId, "id": id }, this._axiosRequestConfig);
    };
    RecordService.prototype.getRecord = function (entityId, id) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.post(_this.baseUrl + '/api/AAAID/GetRecord', { "entityId": entityId, "id": id }, _this._axiosRequestConfig).then(function (response) {
                resolve(response.data);
            }, function (err) {
                reject(err);
            });
        });
    };
    RecordService.prototype.saveRecord = function (record) {
        return axios__WEBPACK_IMPORTED_MODULE_0___default.a.post(this.baseUrl + '/api/AAAID/saveRecord', record, this._axiosRequestConfig);
    };
    RecordService.prototype.getEmptyRecord = function (entityId) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.post(_this.baseUrl + '/api/AAAID/GetEmptyRecord', entityId, _this._axiosRequestConfig).then(function (response) {
                resolve(response.data);
            }, function (err) {
                reject(err);
            });
        });
    };
    RecordService.prototype.getEmptyRecordForMeeting = function (entityId, templateId) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.get(_this.baseUrl + '/api/AAAID/GetEmptyRecordForMeeting?entityId=' + entityId + '&templateId=' + templateId, _this._axiosRequestConfig).then(function (response) {
                resolve(response.data);
            }, function (err) {
                reject(err);
            });
        });
    };
    RecordService.prototype.getEmptyCorrespondenceRecordForReply = function (entityId) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.post(_this.baseUrl + '/api/AAAID/GetEmptyCorrespondenceRecordForReply', entityId, _this._axiosRequestConfig).then(function (response) {
                resolve(response.data);
            }, function (err) {
                reject(err);
            });
        });
    };
    RecordService.prototype.linkRelatedEntitiesRecords = function (dto) {
        return axios__WEBPACK_IMPORTED_MODULE_0___default.a.post(this.baseUrl + '/api/CustomizedEntityRecord/linkRelatedEntitiesRecords', dto, this._axiosRequestConfig);
    };
    RecordService.prototype.unlinkRelatedEntitiesRecords = function (dto) {
        return axios__WEBPACK_IMPORTED_MODULE_0___default.a.post(this.baseUrl + '/api/CustomizedEntityRecord/unlinkRelatedEntitiesRecords', dto, this._axiosRequestConfig);
    };
    RecordService.prototype.executeAction = function (actionId, entityId, record) {
        return axios__WEBPACK_IMPORTED_MODULE_0___default.a.post(this.baseUrl + '/api/CustomizedEntityRecord/executeAction?entityId=' + entityId + '&actionId=' + actionId, record, this._axiosRequestConfig);
    };
    RecordService.prototype.getWorkflowHistory = function (entityId, recordId) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.get(_this.baseUrl + '/api/CustomizedEntityRecord/GetWorkflowHistory?entityId=' + entityId + '&recordId=' + recordId, _this._axiosRequestConfig).then(function (response) {
                resolve(response.data);
            }, function (err) {
                reject(err);
            });
        });
    };
    RecordService.prototype.getHistory = function (entityId, recordId) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.get(_this.baseUrl + '/api/AAAID/GetHistory?entityId=' + entityId + '&recordId=' + recordId, _this._axiosRequestConfig).then(function (response) {
                resolve(response.data);
            }, function (err) {
                reject(err);
            });
        });
    };
    RecordService.prototype.transferCorrespondence = function (record) {
        return axios__WEBPACK_IMPORTED_MODULE_0___default.a.post(this.baseUrl + '/api/AAAID/TransferCorrespondence', record, this._axiosRequestConfig);
    };
    RecordService.prototype.moveDraftCorrespondence = function (record) {
        return axios__WEBPACK_IMPORTED_MODULE_0___default.a.post(this.baseUrl + '/api/AAAID/MoveDraftCorrespondence', record, this._axiosRequestConfig);
    };
    RecordService.prototype.approveCorrespondence = function (record) {
        return axios__WEBPACK_IMPORTED_MODULE_0___default.a.post(this.baseUrl + '/api/AAAID/approveCorrespondence', record, this._axiosRequestConfig);
    };
    RecordService.prototype.replyWithNewCorrespondence = function (record) {
        return axios__WEBPACK_IMPORTED_MODULE_0___default.a.post(this.baseUrl + '/api/AAAID/replyWithNewCorrespondence', record, this._axiosRequestConfig);
    };
    RecordService.prototype.rejectCorrespondence = function (record) {
        return axios__WEBPACK_IMPORTED_MODULE_0___default.a.post(this.baseUrl + '/api/AAAID/rejectCorrespondence', record, this._axiosRequestConfig);
    };
    RecordService.prototype.closeCorrespondence = function (record) {
        return axios__WEBPACK_IMPORTED_MODULE_0___default.a.post(this.baseUrl + '/api/AAAID/closeCorrespondence', record, this._axiosRequestConfig);
    };
    RecordService.prototype.reOpenCorrespondence = function (record) {
        return axios__WEBPACK_IMPORTED_MODULE_0___default.a.post(this.baseUrl + '/api/AAAID/ReOpenCorrespondence', record, this._axiosRequestConfig);
    };
    RecordService.prototype.archiveRecord = function (entityId, id) {
        return axios__WEBPACK_IMPORTED_MODULE_0___default.a.post(this.baseUrl + '/api/AAAID/ArchiveCorrespondence', { "entityId": entityId, "id": id }, this._axiosRequestConfig);
    };
    RecordService.prototype.signRecord = function (entityId, id) {
        return axios__WEBPACK_IMPORTED_MODULE_0___default.a.post(this.baseUrl + '/api/AAAID/SignDocument', { "entityId": entityId, "id": id }, this._axiosRequestConfig);
    };
    RecordService.prototype.unSignRecord = function (entityId, id) {
        return axios__WEBPACK_IMPORTED_MODULE_0___default.a.post(this.baseUrl + '/api/AAAID/UnSignDocument', { "entityId": entityId, "id": id }, this._axiosRequestConfig);
    };
    RecordService.prototype.exportExternal = function (entityId, id) {
        return axios__WEBPACK_IMPORTED_MODULE_0___default.a.post(this.baseUrl + '/api/AAAID/ExportExternal', { "entityId": entityId, "id": id }, this._axiosRequestConfig);
    };
    RecordService.prototype.updateLetterDetails = function (record) {
        return axios__WEBPACK_IMPORTED_MODULE_0___default.a.post(this.baseUrl + '/api/AAAID/UpdateLetterDetails', record, this._axiosRequestConfig);
    };
    RecordService.prototype.getRecordSignatures = function (entityId, recordId) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.get(_this.baseUrl + '/api/CustomizedEntityRecord/GetRecordSignatures?entityId=' + entityId + '&recordId=' + recordId, _this._axiosRequestConfig).then(function (response) {
                resolve(response.data);
            }, function (err) {
                reject(err);
            });
        });
    };
    RecordService.prototype.getCorrespondenceApprovalEntries = function (correspondenceId) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.get(_this.baseUrl + '/api/AAAID/GetCorrespondenceApprovalEntries?correspondenceId=' + correspondenceId, _this._axiosRequestConfig)
                .then(function (response) {
                resolve(response.data);
            }, function (err) {
                reject(err);
            });
        });
    };
    return RecordService;
}());



/***/ }),

/***/ "./src/Services/SecurityGroupService.tsx":
/*!***********************************************!*\
  !*** ./src/Services/SecurityGroupService.tsx ***!
  \***********************************************/
/*! exports provided: SecurityGroupService */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "SecurityGroupService", function() { return SecurityGroupService; });
/* harmony import */ var axios__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! axios */ "./node_modules/axios/index.js");
/* harmony import */ var axios__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(axios__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var ___WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! . */ "./src/Services/index.tsx");


var SecurityGroupService = /** @class */ (function () {
    function SecurityGroupService() {
        this.baseUrl = '';
        this.config = __webpack_require__(/*! ../config.json */ "./src/config.json");
        var cachingService = new ___WEBPACK_IMPORTED_MODULE_1__["CachingService"]();
        this._axiosRequestConfig = {
            headers: {
                'Content-Type': 'application/json',
                'TenantId': cachingService.read('TenantId'),
                'Language': cachingService.readPersistant('Language'),
                'Bearer': cachingService.read('Token')
            }
        };
        this.baseUrl = this.config.baseUrl;
    }
    SecurityGroupService.prototype.getSecurityGroup = function (id) {
        return axios__WEBPACK_IMPORTED_MODULE_0___default.a.get(this.baseUrl + '/api/SecurityGroup/GetSecurityGroup/' + id, this._axiosRequestConfig);
    };
    SecurityGroupService.prototype.deleteSecurityGroup = function (id) {
        return axios__WEBPACK_IMPORTED_MODULE_0___default.a.get(this.baseUrl + '/api/SecurityGroup/DeleteSecurityGroup/' + id, this._axiosRequestConfig);
    };
    SecurityGroupService.prototype.getUserSecurityGroups = function (id) {
        return axios__WEBPACK_IMPORTED_MODULE_0___default.a.get(this.baseUrl + '/api/SecurityGroup/GetUserSecurityGroups/' + id, this._axiosRequestConfig);
    };
    SecurityGroupService.prototype.listSecurityGroups = function () {
        var _this = this;
        return new Promise(function (resolve, reject) {
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.get(_this.baseUrl + '/api/SecurityGroup/ListSecurityGroups', _this._axiosRequestConfig).then(function (response) {
                resolve(response.data);
            }, function (err) {
                reject(err);
            });
        });
    };
    SecurityGroupService.prototype.saveSecurityGroup = function (securityGroup) {
        return axios__WEBPACK_IMPORTED_MODULE_0___default.a.post(this.baseUrl + '/api/SecurityGroup/SaveSecurityGroup', securityGroup, this._axiosRequestConfig);
    };
    return SecurityGroupService;
}());



/***/ }),

/***/ "./src/Services/SecurityService.tsx":
/*!******************************************!*\
  !*** ./src/Services/SecurityService.tsx ***!
  \******************************************/
/*! exports provided: SecurityService */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "SecurityService", function() { return SecurityService; });
/* harmony import */ var axios__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! axios */ "./node_modules/axios/index.js");
/* harmony import */ var axios__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(axios__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var ___WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! . */ "./src/Services/index.tsx");


var SecurityService = /** @class */ (function () {
    function SecurityService() {
        // const headers: Headers = new Headers();
        // headers.append('Content-Type', 'application/json');
        // headers.append('TenantId', cachingService.read('TenantId'));
        // headers.append('Language', cachingService.readPersistant('Language'));
        // headers.append('Token', cachingService.read('Token'));
        // this._axiosRequestConfig = {headers: headers};
        this.baseUrl = '';
        this.cachingService = new ___WEBPACK_IMPORTED_MODULE_1__["CachingService"]();
        this.config = __webpack_require__(/*! ../config.json */ "./src/config.json");
        this._axiosRequestConfig = {
            headers: {
                'Content-Type': 'application/json',
                'TenantId': this.cachingService.read('TenantId'),
                'Language': this.cachingService.readPersistant('Language'),
                'Bearer': this.cachingService.read('Token')
            }
        };
        this.baseUrl = this.config.baseUrl;
    }
    SecurityService.prototype.login = function (loginRequest) {
        return axios__WEBPACK_IMPORTED_MODULE_0___default.a.post(this.baseUrl + '/api/Authentication/Login', loginRequest, {
            headers: {
                'Content-Type': 'application/json',
                'TenantId': this.cachingService.read('TenantId'),
                'Language': this.cachingService.readPersistant('Language'),
                'Token': this.cachingService.read('Token')
            }
        });
    };
    SecurityService.prototype.logout = function () {
        return axios__WEBPACK_IMPORTED_MODULE_0___default.a.post(this.baseUrl + '/api/Authentication/Logout', this._axiosRequestConfig);
    };
    SecurityService.prototype.register = function (registerRequest) {
        return axios__WEBPACK_IMPORTED_MODULE_0___default.a.post(this.baseUrl + '/api/Authentication/Register', registerRequest, this._axiosRequestConfig);
    };
    SecurityService.prototype.getAccessControlList = function (id) {
        return axios__WEBPACK_IMPORTED_MODULE_0___default.a.get(this.baseUrl + '/api/Authorization/GetAccessControlList/' + id, this._axiosRequestConfig);
    };
    SecurityService.prototype.saveAccessControlList = function (accessControlList) {
        return axios__WEBPACK_IMPORTED_MODULE_0___default.a.post(this.baseUrl + '/api/Authorization/SaveAccessControlList', accessControlList, this._axiosRequestConfig);
    };
    SecurityService.prototype.listSecurityRights = function (entityId) {
        return axios__WEBPACK_IMPORTED_MODULE_0___default.a.get(this.baseUrl + '/api/Authorization/ListSecurityRights/' + entityId, this._axiosRequestConfig);
    };
    SecurityService.prototype.breakInheritance = function (entityRecordId) {
        return axios__WEBPACK_IMPORTED_MODULE_0___default.a.post(this.baseUrl + '/api/Authorization/BreakInheritance', entityRecordId, this._axiosRequestConfig);
    };
    SecurityService.prototype.inheritPermissions = function (inheritPermissions) {
        return axios__WEBPACK_IMPORTED_MODULE_0___default.a.post(this.baseUrl + '/api/Authorization/InheritPermissions', inheritPermissions, this._axiosRequestConfig);
    };
    return SecurityService;
}());



/***/ }),

/***/ "./src/Services/UserService.tsx":
/*!**************************************!*\
  !*** ./src/Services/UserService.tsx ***!
  \**************************************/
/*! exports provided: UserService */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "UserService", function() { return UserService; });
/* harmony import */ var axios__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! axios */ "./node_modules/axios/index.js");
/* harmony import */ var axios__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(axios__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var ___WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! . */ "./src/Services/index.tsx");


var UserService = /** @class */ (function () {
    function UserService() {
        this.baseUrl = '';
        this.config = __webpack_require__(/*! ../config.json */ "./src/config.json");
        var cachingService = new ___WEBPACK_IMPORTED_MODULE_1__["CachingService"]();
        this._axiosRequestConfig = {
            headers: {
                'Content-Type': 'application/json',
                'TenantId': cachingService.read('TenantId'),
                'Language': cachingService.readPersistant('Language'),
                'Bearer': cachingService.read('Token')
            }
        };
        this.baseUrl = this.config.baseUrl;
    }
    UserService.prototype.getUser = function (id) {
        return axios__WEBPACK_IMPORTED_MODULE_0___default.a.get(this.baseUrl + '/api/User/GetUser/' + id, this._axiosRequestConfig);
    };
    UserService.prototype.deleteUser = function (id) {
        return axios__WEBPACK_IMPORTED_MODULE_0___default.a.get(this.baseUrl + '/api/User/DeleteUser/' + id, this._axiosRequestConfig);
    };
    UserService.prototype.listUsers = function () {
        var _this = this;
        return new Promise(function (resolve, reject) {
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.post(_this.baseUrl + '/api/User/ListUsers', null, _this._axiosRequestConfig).then(function (response) {
                resolve(response.data);
            }, function (err) {
                reject(err);
            });
        });
    };
    UserService.prototype.searchUsers = function (searchTerm) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.get(_this.baseUrl + '/api/User/SearchUsers?searchTerm=' + searchTerm, _this._axiosRequestConfig).then(function (response) {
                resolve(response.data);
            }, function (err) {
                reject(err);
            });
        });
    };
    UserService.prototype.listOrganizationUsers = function (organizationUnitId) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.get(_this.baseUrl + '/api/User/ListOrganizationUsers?organizationUnitId=' + organizationUnitId, _this._axiosRequestConfig).then(function (response) {
                resolve(response.data);
            }, function (err) {
                reject(err);
            });
        });
    };
    UserService.prototype.saveUser = function (user) {
        return axios__WEBPACK_IMPORTED_MODULE_0___default.a.post(this.baseUrl + '/api/User/SaveUser', user, this._axiosRequestConfig);
    };
    UserService.prototype.listCountries = function () {
        var _this = this;
        return new Promise(function (resolve, reject) {
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.get(_this.baseUrl + '/api/User/ListCountries', _this._axiosRequestConfig).then(function (response) {
                resolve(response.data);
            }, function (err) {
                reject(err);
            });
        });
    };
    return UserService;
}());



/***/ }),

/***/ "./src/Services/WorkflowDesignerService.tsx":
/*!**************************************************!*\
  !*** ./src/Services/WorkflowDesignerService.tsx ***!
  \**************************************************/
/*! exports provided: WorkflowDesignerService */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "WorkflowDesignerService", function() { return WorkflowDesignerService; });
/* harmony import */ var axios__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! axios */ "./node_modules/axios/index.js");
/* harmony import */ var axios__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(axios__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var ___WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! . */ "./src/Services/index.tsx");


var WorkflowDesignerService = /** @class */ (function () {
    function WorkflowDesignerService() {
        this.baseUrl = '';
        this.config = __webpack_require__(/*! ../config.json */ "./src/config.json");
        var cachingService = new ___WEBPACK_IMPORTED_MODULE_1__["CachingService"]();
        this._axiosRequestConfig = {
            headers: {
                'Content-Type': 'application/json',
                'TenantId': cachingService.read('TenantId'),
                'Language': cachingService.readPersistant('Language'),
                'Bearer': cachingService.read('Token')
            }
        };
        this.baseUrl = this.config.baseUrl;
    }
    WorkflowDesignerService.prototype.listWorkflows = function () {
        var _this = this;
        return new Promise(function (resolve, reject) {
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.get(_this.baseUrl + '/api/WorkflowDesigner/ListWorkflows', _this._axiosRequestConfig).then(function (response) {
                resolve(response.data);
            }, function (err) {
                reject(err);
            });
        });
    };
    WorkflowDesignerService.prototype.saveWorkflow = function (workflow) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.post(_this.baseUrl + '/api/WorkflowDesigner/SaveWorkflow', workflow, _this._axiosRequestConfig).then(function (response) {
                resolve(response.data);
            }, function (err) {
                reject(err);
            });
        });
    };
    WorkflowDesignerService.prototype.saveWorkflowVersion = function (workflowVersion) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.post(_this.baseUrl + '/api/WorkflowDesigner/SaveWorkflowVersion', workflowVersion, _this._axiosRequestConfig).then(function (response) {
                resolve(response.data);
            }, function (err) {
                reject(err);
            });
        });
    };
    WorkflowDesignerService.prototype.getWorkflowVersions = function (workflowId) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.get(_this.baseUrl + '/api/WorkflowDesigner/GetWorkflowVersions?id=' + workflowId, _this._axiosRequestConfig).then(function (response) {
                resolve(response.data);
            }, function (err) {
                reject(err);
            });
        });
    };
    WorkflowDesignerService.prototype.createWorkflowState = function (workflowState) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.post(_this.baseUrl + '/api/WorkflowDesigner/CreateWorkflowState', workflowState, _this._axiosRequestConfig).then(function (response) {
                resolve(response.data);
            }, function (err) {
                reject(err);
            });
        });
    };
    WorkflowDesignerService.prototype.createWorkflowAction = function (workflowAction) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.post(_this.baseUrl + '/api/WorkflowDesigner/CreateWorkflowAction', workflowAction, _this._axiosRequestConfig).then(function (response) {
                resolve(response.data);
            }, function (err) {
                reject(err);
            });
        });
    };
    WorkflowDesignerService.prototype.deleteWorkflowAction = function (actionId) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.get(_this.baseUrl + '/api/WorkflowDesigner/DeleteWorkflowAction?actionId=' + actionId, _this._axiosRequestConfig).then(function (response) {
                resolve(response.data);
            }, function (err) {
                reject(err);
            });
        });
    };
    WorkflowDesignerService.prototype.setDefaultStateForWorkflowVersion = function (stateId) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.get(_this.baseUrl + '/api/WorkflowDesigner/SetDefaultStateForWorkflowVersion?stateId=' + stateId, _this._axiosRequestConfig).then(function (response) {
                resolve(response.data);
            }, function (err) {
                reject(err);
            });
        });
    };
    WorkflowDesignerService.prototype.addActionToState = function (actionId, stateId) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.get(_this.baseUrl + '/api/WorkflowDesigner/AddActionToState?actionId=' + actionId + '&stateId=' + stateId, _this._axiosRequestConfig).then(function (response) {
                resolve(response.data);
            }, function (err) {
                reject(err);
            });
        });
    };
    WorkflowDesignerService.prototype.addHandlerToBeforeStateChanged = function (handlerId, stateId, parameters) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.post(_this.baseUrl + '/api/WorkflowDesigner/AddHandlerToBeforeStateChanged?handlerId=' + handlerId + '&stateId=' + stateId, parameters, _this._axiosRequestConfig).then(function (response) {
                resolve(response.data);
            }, function (err) {
                reject(err);
            });
        });
    };
    WorkflowDesignerService.prototype.addHandlerToAfterStateChanged = function (handlerId, stateId, parameters) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.post(_this.baseUrl + '/api/WorkflowDesigner/AddHandlerToAfterStateChanged?handlerId=' + handlerId + '&stateId=' + stateId, parameters, _this._axiosRequestConfig).then(function (response) {
                resolve(response.data);
            }, function (err) {
                reject(err);
            });
        });
    };
    WorkflowDesignerService.prototype.addHandlerToAction = function (handlerId, actionId, parameters) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.post(_this.baseUrl + '/api/WorkflowDesigner/AddHandlerToAction?handlerId=' + handlerId + '&actionId=' + actionId, parameters, _this._axiosRequestConfig).then(function (response) {
                resolve(response.data);
            }, function (err) {
                reject(err);
            });
        });
    };
    WorkflowDesignerService.prototype.removeActionFromState = function (actionId, stateId) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.get(_this.baseUrl + '/api/WorkflowDesigner/RemoveActionFromState?actionId=' + actionId + '&stateId=' + stateId, _this._axiosRequestConfig).then(function (response) {
                resolve(response.data);
            }, function (err) {
                reject(err);
            });
        });
    };
    WorkflowDesignerService.prototype.removeHandlerFromAction = function (handlerId, actionId) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.get(_this.baseUrl + '/api/WorkflowDesigner/RemoveHandlerFromAction?handlerId=' + handlerId + '&actionId=' + actionId, _this._axiosRequestConfig).then(function (response) {
                resolve(response.data);
            }, function (err) {
                reject(err);
            });
        });
    };
    WorkflowDesignerService.prototype.removeHandlerFromBeforeStateChanged = function (handlerId, stateId) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.get(_this.baseUrl + '/api/WorkflowDesigner/RemoveHandlerFromBeforeStateChanged?handlerId=' + handlerId + '&stateId=' + stateId, _this._axiosRequestConfig).then(function (response) {
                resolve(response.data);
            }, function (err) {
                reject(err);
            });
        });
    };
    WorkflowDesignerService.prototype.removeHandlerFromAfterStateChanged = function (handlerId, stateId) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.get(_this.baseUrl + '/api/WorkflowDesigner/RemoveHandlerFromAfterStateChanged?handlerId=' + handlerId + '&stateId=' + stateId, _this._axiosRequestConfig).then(function (response) {
                resolve(response.data);
            }, function (err) {
                reject(err);
            });
        });
    };
    WorkflowDesignerService.prototype.listWorkflowEventHandlers = function () {
        var _this = this;
        return new Promise(function (resolve, reject) {
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.get(_this.baseUrl + '/api/WorkflowDesigner/ListWorkflowEventHandlers?', _this._axiosRequestConfig).then(function (response) {
                resolve(response.data);
            }, function (err) {
                reject(err);
            });
        });
    };
    return WorkflowDesignerService;
}());



/***/ }),

/***/ "./src/Services/WorkflowService.tsx":
/*!******************************************!*\
  !*** ./src/Services/WorkflowService.tsx ***!
  \******************************************/
/*! exports provided: WorkflowService */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "WorkflowService", function() { return WorkflowService; });
/* harmony import */ var axios__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! axios */ "./node_modules/axios/index.js");
/* harmony import */ var axios__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(axios__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var ___WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! . */ "./src/Services/index.tsx");


var WorkflowService = /** @class */ (function () {
    function WorkflowService() {
        this.baseUrl = '';
        this.config = __webpack_require__(/*! ../config.json */ "./src/config.json");
        var cachingService = new ___WEBPACK_IMPORTED_MODULE_1__["CachingService"]();
        this._axiosRequestConfig = {
            headers: {
                'Content-Type': 'application/json',
                'TenantId': cachingService.read('TenantId'),
                'Language': cachingService.readPersistant('Language'),
                'Authorization': 'Bearer ' + cachingService.read('Token'),
                'UserId': cachingService.read('UserId')
            }
        };
        this.baseUrl = this.config.baseUrl;
    }
    WorkflowService.prototype.getAllWorkflows = function () {
        var _this = this;
        return new Promise(function (resolve, reject) {
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.get(_this.baseUrl + '/api/WorkflowManager/GetAllWorkflows', _this._axiosRequestConfig).then(function (response) {
                resolve(response.data);
            }, function (err) {
                reject(err);
            });
        });
    };
    WorkflowService.prototype.getWorkflowVesrions = function (workflowId) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.get(_this.baseUrl + '/api/WorkflowManager/GetWorkflowVesrions?id=' + workflowId, _this._axiosRequestConfig).then(function (response) {
                resolve(response.data);
            }, function (err) {
                reject(err);
            });
        });
    };
    WorkflowService.prototype.getWorkflowVersion = function (workflowVersionId) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.get(_this.baseUrl + '/api/WorkflowManager/GetWorkflowVersion?id=' + workflowVersionId, _this._axiosRequestConfig).then(function (response) {
                resolve(response.data);
            }, function (err) {
                reject(err);
            });
        });
    };
    WorkflowService.prototype.getWorkflowActions = function (entityId, entityType, recordId) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.get(_this.baseUrl + '/api/BusinessLogicClient/GetActions?entityId=' + entityId + '&entityType=' + entityType +
                '&recordId=' + recordId, _this._axiosRequestConfig).then(function (response) {
                resolve(response.data);
            }, function (err) {
                reject(err);
            });
        });
    };
    WorkflowService.prototype.executeAction = function (executeActionInputDto) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.post(_this.baseUrl + '/api/BusinessLogicClient/ExecuteAction', executeActionInputDto, _this._axiosRequestConfig).then(function (response) {
                resolve(response.data);
            }, function (err) {
                reject(err);
            });
        });
    };
    WorkflowService.prototype.getAllWorkflowEntities = function () {
        var _this = this;
        return new Promise(function (resolve, reject) {
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.get(_this.baseUrl + '/api/WorkflowManager/GetAllWorkflowEntities', _this._axiosRequestConfig).then(function (response) {
                resolve(response.data);
            }, function (err) {
                reject(err);
            });
        });
    };
    WorkflowService.prototype.createEntityWorkflow = function (entityWorkflow) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.post(_this.baseUrl + '/api/WorkflowManager/CreateEntityWorkflow', entityWorkflow, _this._axiosRequestConfig).then(function (response) {
                resolve(response.data);
            }, function (err) {
                reject(err);
            });
        });
    };
    WorkflowService.prototype.createEntityWorkflowVersion = function (workflowVersion) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.post(_this.baseUrl + '/api/WorkflowManager/CreateEntityWorkflowVersion', workflowVersion, _this._axiosRequestConfig).then(function (response) {
                resolve(response.data);
            }, function (err) {
                reject(err);
            });
        });
    };
    WorkflowService.prototype.setWorkflowVersionAsFinalVersion = function (workflowVersionId) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.post(_this.baseUrl + '/api/WorkflowManager/SetWorkflowVersionAsFinalVersion?id=' + workflowVersionId, _this._axiosRequestConfig).then(function (response) {
                resolve(response.data);
            }, function (err) {
                reject(err);
            });
        });
    };
    WorkflowService.prototype.saveEntityWorkflowVersion = function (workflowVersion) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.post(_this.baseUrl + '/api/WorkflowManager/SaveEntityWorkflowVersion', workflowVersion, _this._axiosRequestConfig).then(function (response) {
                resolve(response.data);
            }, function (err) {
                reject(err);
            });
        });
    };
    WorkflowService.prototype.defineType = function (storedTypeDefinition) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.post(_this.baseUrl + '/api/WorkflowManager/DefineType', storedTypeDefinition, _this._axiosRequestConfig).then(function (response) {
                resolve(response.data);
            }, function (err) {
                reject(err);
            });
        });
    };
    WorkflowService.prototype.getAllHandlers = function () {
        var _this = this;
        return new Promise(function (resolve, reject) {
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.get(_this.baseUrl + '/api/WorkflowManager/GetAllHandlers', _this._axiosRequestConfig).then(function (response) {
                resolve(response.data);
            }, function (err) {
                reject(err);
            });
        });
    };
    WorkflowService.prototype.getWorkflowByFQN = function (fqn) {
        var _this = this;
        return new Promise(function (resolve, reject) {
            axios__WEBPACK_IMPORTED_MODULE_0___default.a.get(_this.baseUrl + '/api/WorkflowManager/GetWorkflowByFQN?fqn=' + fqn, _this._axiosRequestConfig).then(function (response) {
                resolve(response.data);
            }, function (err) {
                reject(err);
            });
        });
    };
    return WorkflowService;
}());



/***/ }),

/***/ "./src/Services/index.tsx":
/*!********************************!*\
  !*** ./src/Services/index.tsx ***!
  \********************************/
/*! exports provided: CachingService, EntityService, RecordService, FileService, SecurityService, OrganizationService, PositionService, SecurityGroupService, UserService, WorkflowService, WorkflowDesignerService, ImportExportService */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _CachingService__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./CachingService */ "./src/Services/CachingService.tsx");
/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, "CachingService", function() { return _CachingService__WEBPACK_IMPORTED_MODULE_0__["CachingService"]; });

/* harmony import */ var _EntityService__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./EntityService */ "./src/Services/EntityService.tsx");
/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, "EntityService", function() { return _EntityService__WEBPACK_IMPORTED_MODULE_1__["EntityService"]; });

/* harmony import */ var _RecordService__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./RecordService */ "./src/Services/RecordService.tsx");
/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, "RecordService", function() { return _RecordService__WEBPACK_IMPORTED_MODULE_2__["RecordService"]; });

/* harmony import */ var _FileService__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./FileService */ "./src/Services/FileService.tsx");
/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, "FileService", function() { return _FileService__WEBPACK_IMPORTED_MODULE_3__["FileService"]; });

/* harmony import */ var _SecurityService__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./SecurityService */ "./src/Services/SecurityService.tsx");
/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, "SecurityService", function() { return _SecurityService__WEBPACK_IMPORTED_MODULE_4__["SecurityService"]; });

/* harmony import */ var _OrganizationService__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./OrganizationService */ "./src/Services/OrganizationService.tsx");
/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, "OrganizationService", function() { return _OrganizationService__WEBPACK_IMPORTED_MODULE_5__["OrganizationService"]; });

/* harmony import */ var _PositionService__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./PositionService */ "./src/Services/PositionService.tsx");
/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, "PositionService", function() { return _PositionService__WEBPACK_IMPORTED_MODULE_6__["PositionService"]; });

/* harmony import */ var _SecurityGroupService__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./SecurityGroupService */ "./src/Services/SecurityGroupService.tsx");
/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, "SecurityGroupService", function() { return _SecurityGroupService__WEBPACK_IMPORTED_MODULE_7__["SecurityGroupService"]; });

/* harmony import */ var _UserService__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ./UserService */ "./src/Services/UserService.tsx");
/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, "UserService", function() { return _UserService__WEBPACK_IMPORTED_MODULE_8__["UserService"]; });

/* harmony import */ var _WorkflowService__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ./WorkflowService */ "./src/Services/WorkflowService.tsx");
/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, "WorkflowService", function() { return _WorkflowService__WEBPACK_IMPORTED_MODULE_9__["WorkflowService"]; });

/* harmony import */ var _WorkflowDesignerService__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ./WorkflowDesignerService */ "./src/Services/WorkflowDesignerService.tsx");
/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, "WorkflowDesignerService", function() { return _WorkflowDesignerService__WEBPACK_IMPORTED_MODULE_10__["WorkflowDesignerService"]; });

/* harmony import */ var _ImportExportService__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ./ImportExportService */ "./src/Services/ImportExportService.tsx");
/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, "ImportExportService", function() { return _ImportExportService__WEBPACK_IMPORTED_MODULE_11__["ImportExportService"]; });















/***/ }),

/***/ "./src/config.json":
/*!*************************!*\
  !*** ./src/config.json ***!
  \*************************/
/*! exports provided: baseUrl, UserType, default */
/***/ (function(module) {

module.exports = {"baseUrl":"https://lcdpbe.divcraft.com/","UserType":1};

/***/ }),

/***/ "./src/index.tsx":
/*!***********************!*\
  !*** ./src/index.tsx ***!
  \***********************/
/*! exports provided: ListRecordsCriteria, FieldQuery, CachingService, RecordService */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _Models__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./Models */ "./src/Models/index.tsx");
/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, "ListRecordsCriteria", function() { return _Models__WEBPACK_IMPORTED_MODULE_0__["ListRecordsCriteria"]; });

/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, "FieldQuery", function() { return _Models__WEBPACK_IMPORTED_MODULE_0__["FieldQuery"]; });

/* harmony import */ var _Services__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./Services */ "./src/Services/index.tsx");
/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, "CachingService", function() { return _Services__WEBPACK_IMPORTED_MODULE_1__["CachingService"]; });

/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, "RecordService", function() { return _Services__WEBPACK_IMPORTED_MODULE_1__["RecordService"]; });





/***/ })

/******/ });
//# sourceMappingURL=index.js.map